<?php
/**
 * Breadcrumbs default view
 * Parameters:
 *
 * @var string $separator , the separator symbol
 * @package minera
 */

if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

?>

<?php
if ( ! empty( $items ) ) :
	$count = count( $items );
	?>
	<div class="crumbs" itemscope itemtype="http://schema.org/BreadcrumbList">
		<?php for ( $i = 0; $i < $count; $i ++ ) : ?>
			<?php if ( $count - 1 == $i ) : ?>
				<span class="last-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><i itemprop="name"><?php echo esc_html( apply_filters( 'the_title', $items[ $i ]['name'] ) ); ?></i><meta itemprop="position" content="<?php echo esc_attr( $count ); ?>" /></span>

			<?php elseif ( 0 == $i ) : ?>
				<span class="first-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
				
				<?php
				if ( class_exists( 'woocommerce' ) && ( is_singular( 'product' ) || is_product_category() || is_product_tag() || is_shop() ) ) :
					$shop_title = get_theme_mod( 'c_shop_title', 'Shop' );
					$shop_url   = get_permalink( get_option( 'woocommerce_shop_page_id' ) );
					?>
					<a itemprop="item" href="<?php echo esc_url( $shop_url ); ?>"><span itemprop="name"><?php echo esc_html( $shop_title ); ?></span></a><meta itemprop="position" content="1" /></span>
				<?php elseif ( isset( $items[ $i ]['url'] ) ) : ?>
					<a itemprop="item" href="<?php echo esc_url( $items[ $i ]['url'] ); ?>"><span itemprop="name"><?php echo esc_html( apply_filters( 'the_title', $items[ $i ]['name'] ) ); ?></span></a><meta itemprop="position" content="1" /></span>
					<?php
				else :
					echo esc_html( $items[ $i ]['name'] );
				endif;
			else :
				?>

			<span class="item<?php echo esc_attr( $i - 1 ); ?>" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
				<?php if ( isset( $items[ $i ]['url'] ) ) : ?>
					<a itemprop="item" href="<?php echo esc_url( $items[ $i ]['url'] ); ?>"><span itemprop="name"><?php echo esc_html( apply_filters( 'the_title', $items[ $i ]['name'] ) ); ?></span></a><meta itemprop="position" content="<?php echo esc_attr( $i + 1 ); ?>" /></span>
					<?php
				else :
					echo esc_html( $items[ $i ]['name'] );
				endif;

			endif;
		endfor;
?>
	</div>
<?php endif ?>
