<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' );}

/*FOOTER DATA*/
$args = array('post_type' => 'ht-footer', 'posts_per_page' => -1);
$data = get_posts($args);

$tmp = array('default' => esc_attr__('Default', 'minera'));
if( !empty( $args ) && ! is_wp_error( $args ) ){
    foreach($data as $key){
        $tmp[$key->ID] = $key->post_title;
    }
}
$tmp['disable'] = esc_html__('Disable', 'minera');


/*PAGE OPTIONS*/
$page_options = array(
    /*HEADER*/
    'page_header' => array(
        'title'   => esc_html__('Header', 'minera'),
        'type'    => 'tab',
        'options' => array(
            'page_header_layout' => array(
                'label' => false,
                'desc' => false,
                'type' => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'label' => esc_html__('Layout', 'minera'),
                        'type' => 'short-select',
                        'choices' => array(
                            'default' => esc_html__('Default', 'minera'),
                            'layout-1' => esc_html__('Layout 1', 'minera'),
                            'layout-2' => esc_html__('Layout 2', 'minera'),
                            'layout-3' => esc_html__('Layout 3', 'minera'),
                            'layout-4' => esc_html__('Layout 4', 'minera'),
                            'layout-5' => esc_html__('Layout 5', 'minera'),
                            'layout-6' => esc_html__('Layout 6', 'minera'),
                        ),
                        'value' => 'default',
                    )
                ),
                'choices' => array(
                    'layout-1' => array(
                        'custom' => array(
                            'label' => false,
                            'desc' => false,
                            'type' => 'multi-picker',
                            'picker' => array(
                                'gadget' => array(
                                    'type' => 'switch',
                                    'label' => esc_html__('Custom', 'minera'),
                                    'left-choice' => array(
                                        'label' => esc_html__('No', 'minera'),
                                        'value' => 'no'
                                    ),
                                    'right-choice' => array(
                                        'label' => esc_html__('Yes', 'minera'),
                                        'value' => 'yes'
                                    ),
                                    'value' => 'no'
                                )
                            ),
                            'choices' => array(
                                'yes' => array(
                                    'wider' => array(
                                        'label' => esc_html__( 'Header wider?', 'minera' ),
                                        'desc' => esc_html__( 'Header menu will be a little wider than normal', 'minera' ),
                                        'type' => 'switch',
                                        'left-choice' => array(
                                            'label' => esc_html__('No', 'minera'),
                                            'value' => 'no'
                                        ),
                                        'right-choice' => array(
                                            'label' => esc_html__('Yes', 'minera'),
                                            'value' => 'yes'
                                        ),
                                        'value' => 'no'
                                    ),
                                    'background_color' => array(
                                        'label' => esc_html__('Background color', 'minera'),
                                        'desc' => esc_html__('Choose color', 'minera'),
                                        'type' => 'rgba-color-picker',
                                        'value' => 'rgba(0,0,0,1)'
                                    ),
                                    'border_bottom_color' => array(
                                        'label' => esc_html__('Border bottom color', 'minera'),
                                        'desc' => esc_html__('Choose color', 'minera'),
                                        'type' => 'rgba-color-picker',
                                        'value' => 'rgba(0,0,0,0.1)'
                                    ),
                                )
                            )
                        ),
                    ),
                    'layout-2' => array(
                        'custom' => array(
                            'label' => false,
                            'desc' => false,
                            'type' => 'multi-picker',
                            'picker' => array(
                                'gadget' => array(
                                    'type' => 'switch',
                                    'label' => esc_html__('Custom', 'minera'),
                                    'left-choice' => array(
                                        'label' => esc_html__('No', 'minera'),
                                        'value' => 'no'
                                    ),
                                    'right-choice' => array(
                                        'label' => esc_html__('Yes', 'minera'),
                                        'value' => 'yes'
                                    ),
                                    'value' => 'no'
                                )
                            ),
                            'choices' => array(
                                'yes' => array(
                                    'overlap' => array(
                                        'label' => esc_html__('Header overlay?', 'minera'),
                                        'desc' => esc_html__( 'Header menu will overlay the content', 'minera' ),
                                        'type' => 'switch',
                                        'left-choice' => array(
                                            'label' => esc_html__('No', 'minera'),
                                            'value' => 'no'
                                        ),
                                        'right-choice' => array(
                                            'label' => esc_html__('Yes', 'minera'),
                                            'value' => 'yes'
                                        ),
                                        'value' => 'no'
                                    ),
                                    'wider' => array(
                                        'label' => esc_html__( 'Header wider?', 'minera' ),
                                        'desc' => esc_html__( 'Header menu will be a little wider than normal', 'minera' ),
                                        'type' => 'switch',
                                        'left-choice' => array(
                                            'label' => esc_html__('No', 'minera'),
                                            'value' => 'no'
                                        ),
                                        'right-choice' => array(
                                            'label' => esc_html__('Yes', 'minera'),
                                            'value' => 'yes'
                                        ),
                                        'value' => 'no'
                                    ),
                                    'background_color' => array(
                                        'label' => esc_html__('Background color', 'minera'),
                                        'desc' => esc_html__('Choose color', 'minera'),
                                        'type' => 'rgba-color-picker',
                                        'value' => 'rgba(0,0,0,1)'
                                    ),
                                    'amount' => array(
                                        'label' => esc_html__( 'Show amount', 'minera' ),
                                        'desc' => esc_html__( 'Show total amount instead cart icon', 'minera' ),
                                        'type' => 'switch',
                                        'left-choice' => array(
                                            'label' => esc_html('No', 'minera'),
                                            'value' => 'no'
                                        ),
                                        'right-choice' => array(
                                            'label' => esc_html('Yes', 'minera'),
                                            'value' => 'yes'
                                        ),
                                        'value' => 'no'
                                    )
                                )
                            )
                        ),
                    ),
                    'layout-4' => array(
                        'custom' => array(
                            'label' => false,
                            'desc' => false,
                            'type' => 'multi-picker',
                            'picker' => array(
                                'gadget' => array(
                                    'type' => 'switch',
                                    'label' => esc_html__('Custom', 'minera'),
                                    'left-choice' => array(
                                        'label' => esc_html__('No', 'minera'),
                                        'value' => 'no'
                                    ),
                                    'right-choice' => array(
                                        'label' => esc_html__('Yes', 'minera'),
                                        'value' => 'yes'
                                    ),
                                    'value' => 'no'
                                )
                            ),
                            'choices' => array(
                                'yes' => array(
                                    'wider' => array(
                                        'label' => esc_html__( 'Header wider?', 'minera' ),
                                        'desc' => esc_html__( 'Header menu will be a little wider than normal', 'minera' ),
                                        'type' => 'switch',
                                        'left-choice' => array(
                                            'label' => esc_html__('No', 'minera'),
                                            'value' => 'no'
                                        ),
                                        'right-choice' => array(
                                            'label' => esc_html__('Yes', 'minera'),
                                            'value' => 'yes'
                                        ),
                                        'value' => 'no'
                                    ),
                                    'bg_color' => array(
                                        'label' => esc_html__('Background', 'minera'),
                                        'desc' => esc_html__('Choose color', 'minera'),
                                        'type' => 'rgba-color-picker',
                                        'value' => 'rgba(0,0,0,0)'
                                    ),
                                    'icon_color_1' => array(
                                        'label' => esc_html__('Icon color 1', 'minera'),
                                        'desc' => esc_html__('Choose color', 'minera'),
                                        'type' => 'color-picker',
                                        'value' => '#000000'
                                    ),
                                    'icon_color_2' => array(
                                        'label' => esc_html__('Icon color 2', 'minera'),
                                        'desc' => esc_html__('Choose color', 'minera'),
                                        'type' => 'color-picker',
                                        'value' => '#ffffff'
                                    ),
                                )
                            )
                        ),
                    ),
                ),
            ),
        ),
    ),

    /*LOGO*/
    'page_logo' => array(
        'title' => esc_html__('Logo', 'minera'),
        'type' => 'tab',
        'options' => array(
            'p_lg' => array(
                'label' => false,
                'desc' => false,
                'type' => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'type' => 'short-select',
                        'label' => esc_html__('Logo', 'minera'),
                        'desc' => false,
                        'choices' => array(
                            'default' => esc_html__('Default', 'minera'),
                            'custom' => esc_html__('Custom', 'minera'),
                        ),
                        'value' => 'default'
                    )
                ),
                'choices' => array(
                    'custom' => array(
                        'lg_data' => array(
                            'label' => esc_html__('Choose image', 'minera'),
                            'type' => 'upload',
                            'images_only' => true
                        )
                    )
                ),
            ),
        )
    ),

    /*BREADCRUMBS*/
    'page_breadcrumbs' => array(
        'title' => esc_html__('Page Header', 'minera'),
        'type' => 'tab',
        'options' => array(
            'p_bread' => array(
                'label'   => false,
                'desc'   => false,
                'type'    => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'label' => esc_html__('Layout', 'minera'),
                        'type' => 'short-select',
                        'choices' => array(
                            'default' => esc_html__('Default', 'minera'),
                            'custom' => esc_html__('Custom', 'minera'),
                            'disable' => esc_html__('Disable', 'minera'),
                        ),
                        'value' => 'default',
                    ),
                ),
                'choices' => array(
                    'custom' => array(
                        'p_bread_spacing_top' => array(
                            'label' => esc_html__('Spacing top', 'minera'),
                            'desc' => esc_html__('Default: 200px', 'minera'),
                            'type' => 'short-text',
                            'value' => '',
                        ),
                        'p_bread_align' => array(
                            'label' => esc_html__('Text align', 'minera'),
                            'type' => 'short-select',
                            'choices' => array(
                                'left' => esc_html__( 'Left', 'minera' ),
                                'center' => esc_html__( 'Center', 'minera' ),
                                'right' => esc_html__( 'Right', 'minera' ),
                            ),
                            'value' => 'center'
                        ),
                        'p_bread_title' => array(
                            'label' => esc_html__('Alternative title', 'minera'),
                            'desc' => esc_html__('This will replace heading page title', 'minera'),
                            'type' => 'text',
                            'value' => ''
                        ),
                        'p_bread_bg' => array(
                            'label' => false,
                            'desc' => false,
                            'type' => 'multi-picker',
                            'picker' => array(
                                'gadget' => array(
                                    'label' => esc_html__('Background', 'minera'),
                                    'desc' => esc_html__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'minera'),
                                    'type' => 'short-select',
                                    'choices' => array(
                                        'img_bg' => esc_html__('Use image', 'minera'),
                                        'color_bg' => esc_html__('Use solid color', 'minera'),
                                    ),
                                    'value' => 'color_bg'
                                )
                            ),
                            'choices' => array(
                                'img_bg' => array(
                                    'img_bg_data' => array(
                                        'label' => esc_html__('Image upload', 'minera'),
                                        'type' => 'upload'
                                    )
                                ),
                                'color_bg' => array(
                                    'color_bg_data' => array(
                                        'label' => esc_html__('Choose color', 'minera'),
                                        'type' => 'color-picker',
                                        'value' => '#e9eceb'
                                    )
                                )
                            ),
                        ),                        
                        'p_bread_spacing_bot' => array(
                            'label' => esc_html__('Spacing bottom', 'minera'),
                            'desc' => esc_html__('Default: 200px', 'minera'),
                            'type' => 'short-text',
                            'value' => '',
                        ),
                        'p_bread_margin_bottom' => array(
                            'label' => esc_html__('Margin bottom', 'minera'),
                            'desc' => esc_html__('Default: 70px', 'minera'),
                            'type' => 'short-text',
                            'value' => '',
                        ),
                    ),
                ),
            ),
        )
    ),

    /*CONTENT*/
    'page_content' => array(
        'title'   => esc_html__('Content', 'minera'),
        'type'    => 'tab',
        'options' => array(
            'content_layout' => array(
                'type' => 'short-select',
                'label' => esc_html__('Layout', 'minera'),
                'desc' => false,
                'choices' => array(
                    'default' => esc_html__('Default', 'minera'),
                    'boxed' => esc_html__('Boxed', 'minera'),
                    'boxed-50' => esc_html__('Boxed 2', 'minera')
                ),
                'value' => 'default'
            ),
            'content_bg' => array(
                'type' => 'color-picker',
                'label' => esc_html__('Background color', 'minera'),
                'value' => '#ffffff'
            )
        ),
    ),

    /*FOOTER*/
    'page_footer' => array(
        'title'   => esc_html__('Footer', 'minera'),
        'type'    => 'tab',
        'options' => array(
            'footer_layout' => array(
                'type' => 'short-select',
                'label' => esc_html__('Layout', 'minera'),
                'desc' => false,
                'choices' => $tmp,
                'value' => 'default'
            )
        ),
    ),
);

$options = array(
    'page_layout_box' => array(
        'title'   => esc_html__( 'Page Customizing', 'minera'),
        'type'    => 'box',
        'options' => $page_options
    ),
);
