<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' );}

$post_options = array(
	'page_header' => array(
		'title'   => esc_html__('General', 'minera'),
        'type'    => 'tab',
        'options' => array(
            /*crumbs header*/
            'p_bread' => array(
                'label'   => false,
                'desc'   => false,
                'type'    => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'label' => esc_html__('Breadcrumbs', 'minera'),
                        'type' => 'short-select',
                        'choices' => array(
                            'default' => esc_html__('Default', 'minera'),
                            'custom' => esc_html__('Custom', 'minera'),
                            'disable' => esc_html__('Disable', 'minera'),
                        ),
                        'value' => 'default',
                    ),
                ),
                'choices' => array(
                    'custom' => array(
                        'p_bread_align' => array(
                            'label' => esc_html__('Text align', 'minera'),
                            'desc' => esc_html__('This will replace heading page title', 'minera'),
                            'type' => 'select',
                            'choices' => array(
                                'left' => esc_html__( 'Left', 'minera' ),
                                'right' => esc_html__( 'Right', 'minera' ),
                                'center' => esc_html__( 'Center', 'minera' ),
                            ),
                            'value' => 'left'
                        ),
                        'p_bread_title' => array(
                            'label' => esc_html__('Alternative Title', 'minera'),
                            'desc' => esc_html__('This will replace heading page title', 'minera'),
                            'type' => 'text',
                            'value' => 'This is my title!'
                        ),
                        'p_bread_bg' => array(
                            'label' => false,
                            'desc' => false,
                            'type' => 'multi-picker',
                            'picker' => array(
                                'gadget' => array(
                                    'label' => esc_html__('Background Style', 'minera'),
                                    'desc' => esc_html__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'minera'),
                                    'type' => 'select',
                                    'choices' => array(
                                        'img_bg' => esc_html__('Use Image', 'minera'),
                                        'color_bg' => esc_html__('Use Solid Color', 'minera'),
                                    ),
                                    'value' => 'color_bg'
                                )
                            ),
                            'choices' => array(
                                'img_bg' => array(
                                    'img_bg_data' => array(
                                        'label' => esc_html__('Single Upload (Images Only)', 'minera'),
                                        'type' => 'upload'
                                    )
                                ),
                                'color_bg' => array(
                                    'color_bg_data' => array(
                                        'label' => esc_html__('Background Color', 'minera'),
                                        'type' => 'color-picker',
                                        'value' => '#e9eceb'
                                    )
                                )
                            ),
                        ),
                        'p_bread_spacing_top' => array(
                            'label' => esc_html__('Spacing top', 'minera'),
                            'type' => 'slider',
                            'properties' => array(
                                'min' => 0,
                                'max' => 300,
                                'step' => 5,
                            ),
                            'value' => 30,
                        ),
                        'p_bread_spacing_bot' => array(
                            'label' => esc_html__('Spacing top', 'minera'),
                            'type' => 'slider',
                            'properties' => array(
                                'min' => 0,
                                'max' => 300,
                                'step' => 5,
                            ),
                            'value' => 30,
                        ),
                    ),
                ),
            ),
			/*blog top info*/
			'p_blog_info' => array(
				'label' => esc_html__('Top info align', 'minera'),
                'type' => 'short-select',
                'choices' => array(
                    'left' => esc_html__('Left', 'minera'),
                    'right' => esc_html__('Right', 'minera'),
                    'center' => esc_html__('Center', 'minera'),
                ),
                'value' => 'left',
            ),
			/*blog related*/
			'p_related' => array(
				'label' => esc_html__('Post related', 'minera'),
                'type' => 'short-select',
                'choices' => array(
                    'top' => esc_html__('Under blog content', 'minera'),
                    'bot' => esc_html__('Under comment form', 'minera'),
                    'disable' => esc_html__('Disable', 'minera'),
                ),
                'value' => 'disable',
            ),
        ),
	),
	/*gallery*/
	'p_gallery' => array(
		'type' => 'tab',
		'title' => esc_html__( 'Gallery', 'minera' ),
		'options' => array(
			'd_gallery'       => array(
				'label' => esc_html__( 'Upload', 'minera' ),
				'desc'  => esc_html__( 'Multiple Images for Gallery post format.', 'minera' ),
				'type'  => 'multi-upload',
			),
		)
	),
	/*image*/
	'p_image' => array(
		'title'   => esc_html__('Image', 'minera'),
		'type'    => 'tab',
		'options' => array(
			'd_image' => array(
				'label'   => esc_html__('Upload', 'minera'),
				'desc'   => esc_html__('Choose image', 'minera'),
				'type'    => 'upload',
			),
		),
	),
	/*video*/
	'p_video' => array(
		'type' => 'tab',
		'title' => esc_html__( 'Video', 'minera' ),
		'options' => array(
			'video_type' => array(
				'label' => esc_html__('Video embed', 'minera'),
				'type' => 'short-select',
				'choices' => array(
					'youtube' => esc_html__('Youtube', 'minera'),
					'vimeo' => esc_html__('Vimeo', 'minera'),
				),
				'value' => 'youtube'
			),
			'video_id' => array(
				'label' => esc_html__('Video ID', 'minera'),
                'desc' => sprintf(esc_html__( 'Just paste the bold part of the video\'s URL: %1$s%2$s', 'minera' ),
                        '<br>https://youtube.com/watch?v=<b>qDvFdj-pFMc</b>',
                        '<br>https://vimeo.com/<b>119287310</b>'),
				'type' => 'short-text',
				'value' => 'qDvFdj-pFMc'
			),
		)
	),
	/*audio*/
	'p_audio' => array(
		'type' => 'tab',
		'title' => esc_html__( 'Audio', 'minera' ),
		'options' => array(
			'd_audio' => array(
				'label' => esc_html__('Audio SoundCloud', 'minera'),
				'desc' => esc_html__('Input SoundCloud iframe', 'minera'),
				'type' => 'textarea',
			),
		)
	),
	/*blockquote*/
	'p_quote' => array(
		'type' => 'tab',
		'title' => esc_html__( 'Quote', 'minera' ),
		'options' => array(
			'd_quote' => array(
				'label' => esc_html__('Quote', 'minera'),
				'desc' => esc_html__('Input a quote here!', 'minera'),
				'type' => 'textarea',
			),
		)
	),
	/*link*/
	'p_link' => array(
		'title'   => esc_html__('Link', 'minera'),
		'type'    => 'tab',
		'options' => array(
			'link_title' => array(
				'label'   => esc_html__('Title', 'minera'),
				'desc'   => esc_html__('Enter your title', 'minera'),
				'type'    => 'text',
				'value' => esc_html__('Enter your title here', 'minera'),
			),
			'link_url' => array(
				'label'   => esc_html__('Link', 'minera'),
				'desc'   => esc_html__('Enter your url here', 'minera'),
				'type'    => 'text',
				'value' => '#'
			),
		),
	),
);

$options = array(
	'post_layout_box' => array(
		'title'   => esc_html__( 'Post Customizing', 'minera'),
		'type'    => 'box',
		'options' => $post_options
	),
);
