<?php
/**
 * The template for displaying image attachments
 */

// Retrieve attachment metadata.
$metadata = wp_get_attachment_metadata();

get_header(); ?>

<main id="main" class="page_content blog-page flw">
	<div class="container">
		<div class="row">
			<div class="col-md-9 col-lg-9">
				<?php while ( have_posts() ) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="theme-img-single-view flw">
						<span class="entry-date"><time class="entry-date" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo esc_html( get_the_date() ); ?></time></span>
						<span class="full-size-link"><a href="<?php echo wp_get_attachment_url(); ?>"><?php echo esc_attr($metadata['width']) . '&times' . esc_attr($metadata['height']); ?></a></span>
						<span class="parent-post-link"><a href="<?php echo get_permalink( $post->post_parent ); ?>" rel="gallery"><?php echo get_the_title( $post->post_parent ); ?></a></span>
						<?php edit_post_link( esc_html__( 'Edit', 'minera'), '<span class="edit-link">', '</span>' ); ?>
					</div>
					<div class="theme-img-content-single-view flw">
						<div class="entry-attachment">
							<div class="attachment">
								<?php minera_the_attached_image(); ?>
							</div>

							<?php if ( has_excerpt() ) : ?>
							<div class="entry-caption">
								<?php the_excerpt(); ?>
							</div>
							<?php endif; ?>
						</div>

						<?php
							the_content();
							wp_link_pages();
						?>
					</div>
				</div>

				<?php minera_paging(); ?>

				<?php endwhile; ?>
			</div>
			<div class="col-md-3 col-lg-3">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
<?php
get_footer();
