<?php /*HEADER LAYOUT=================================================================================================*/

/*wp_nav_menu data*/
$list_menu = get_terms('nav_menu');
$menu = array('disable' => esc_attr__('Disable', 'minera'));
foreach($list_menu as $key){
    $menu[$key->term_id] = $key->name;
}

/*Header layout 1 ==================================================*/

/*background*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd1_bg',
    'label'     => esc_attr__( 'Header background color', 'minera' ),
    'section'   => 'header_1',
    'default' => 'rgba(255,255,255,0)',
    'transport' => 'auto',
    'choices'     => array(
		'alpha' => true,
	),
    'output' => array(
        array(
            'element' => '.header-layout-1 .header-box',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
    'partial_refresh' => array(
        'hd1_edit_location' => array(
            'selector'        => '#hd1-edit-location',
            'render_callback' => 'minera_edit_location',
        ),
    ),
));

/*menu color*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'kirki_label_hd1_menu',
    'label'     => esc_attr__( 'Menu color', 'minera' ),
    'section'   => 'header_1',
));

/*highlight menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd1_menu_highlight',
    'label'     => esc_attr__( 'Highlight color', 'minera' ),
    'section'   => 'header_1',
    'transport' => 'auto',
    'default' => '#a9803c',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-1 .theme-primary-menu li.current-menu-item > a',
                '.header-layout-1 .theme-primary-menu > li.current-menu-ancestor > a',
                '.header-layout-1 .theme-primary-menu > li.current-menu-parent > a',
                '.header-layout-1 .theme-primary-menu > li.current_page_parent > a',
                '.header-layout-1 .theme-primary-menu > li.current_page_ancestor > a',
                '.header-layout-1 .theme-primary-menu > li > a:hover',
                '.header-layout-1 .theme-primary-menu > li:hover > a',
                '.header-layout-1 .theme-primary-menu li ul a:hover',
                '.header-layout-1 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-1 .theme-primary-menu .mega-menu-row .sub-menu a:hover'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*heading menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd1_heading_menu',
    'label'     => esc_attr__( 'Parent menu color', 'minera' ),
    'section'   => 'header_1',
    'transport' => 'auto',
    'default'     => '#3e3e3e',
    'output' => array(
        array(
            'element' => '.header-layout-1 .theme-primary-menu > li > a',
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*sub menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd1_submenu',
    'label'     => esc_attr__( 'Submenu color', 'minera' ),
    'section'   => 'header_1',
    'transport' => 'auto',
    'default'     => '#8f8f8f',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-1 .theme-primary-menu > li ul a',
                '.header-layout-1 .theme-primary-menu .mega-menu-row',
                '.header-layout-1 .theme-primary-menu >li:not(.menu-item-has-mega-menu) ul li.menu-item-has-children:after'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*Header layout 2 ==================================================*/

/*background*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd2_bg',
    'label'     => esc_attr__( 'Background color', 'minera' ),
    'section'   => 'header_2',
    'default' => '#ffffff',
    'choices'     => array(
		'alpha' => true,
	),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.header-layout-2 .header-box',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
    'partial_refresh' => array(
        'hd2_edit_location' => array(
            'selector'        => '#hd2-edit-location',
            'render_callback' => 'minera_edit_location',
        ),
    ),
));

/*overlay*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'switch',
    'settings'  => 'hd2_overlay',
    'label'     => esc_attr__( 'Header overlay?', 'minera' ),
    'description' => esc_attr__('Header menu will overlay the content', 'minera'),
    'section'   => 'header_2',
    'default' => '0',
    'choices' => array(
        'off' => esc_attr__('No', 'minera'),
        'on' => esc_attr__('Yes', 'minera'),
    ),
));

/*left content*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'kirki_label_hd2_left_content',
    'label'     => esc_attr__( 'Left content', 'minera' ),
    'section'   => 'header_2',
));

/*sidebar menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'select',
    'settings'  => 'hd2_sidebar_menu',
    'label'     => esc_attr__( 'Sidebar menu', 'minera' ),
    'section'   => 'header_2',
    'default' => 'disable',
    'choices'     => $menu
));

/*normal menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'select',
    'settings'  => 'hd2_std_menu',
    'label'     => esc_attr__( 'Standard menu', 'minera' ),
    'section'   => 'header_2',
    'default' => 'disable',
    'choices'     => $menu
));

/*highlight menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd2_menu_highlight',
    'label'     => esc_attr__( 'Highlight color', 'minera' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'default' => '#a9803c',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-2 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a',
                '.header-layout-2 .theme-primary-menu li.current-menu-item > a',
                '.header-layout-2 .theme-primary-menu > li.current-menu-ancestor > a',
                '.header-layout-2 .theme-primary-menu > li.current-menu-parent > a',
                '.header-layout-2 .theme-primary-menu > li.current_page_parent > a',
                '.header-layout-2 .theme-primary-menu > li.current_page_ancestor > a',
                '.header-layout-2 .theme-primary-menu > li > a:hover',
                '.header-layout-2 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-2 .theme-primary-menu .mega-menu-row > li > a:hover',
                '.header-layout-2 .theme-primary-menu li.menu-item-has-mega-menu:hover > a',
                '.header-layout-2 .theme-primary-menu .mega-menu-row .sub-menu a:hover',
                '.header-layout-2 #ht-search-btn:hover',
                '.header-layout-2 .shopping-cart-icon:hover',

                '.header-layout-2 .theme-sidebar-menu > li:not(.menu-item-has-mega-menu):hover > a',
                '.header-layout-2 .theme-sidebar-menu li.current-menu-item > a',
                '.header-layout-2 .theme-sidebar-menu > li.current-menu-ancestor > a',
                '.header-layout-2 .theme-sidebar-menu > li.current-menu-parent > a',
                '.header-layout-2 .theme-sidebar-menu > li.current_page_parent > a',
                '.header-layout-2 .theme-sidebar-menu > li.current_page_ancestor > a',
                '.header-layout-2 .theme-sidebar-menu > li > a:hover',
                '.header-layout-2 .theme-sidebar-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-2 .theme-sidebar-menu .mega-menu-row > li > a:hover',
                '.header-layout-2 .theme-sidebar-menu li.menu-item-has-mega-menu:hover > a',
                '.header-layout-2 .theme-sidebar-menu .mega-menu-row .sub-menu a:hover'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*heading menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd2_heading_menu',
    'label'     => esc_attr__( 'Parent menu color', 'minera' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'default'     => '#3e3e3e',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-2 .theme-primary-menu > li > a',

                '.header-layout-2 .theme-sidebar-menu > li > a'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*sub menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd2_submenu',
    'label'     => esc_attr__( 'Submenu color', 'minera' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'default'     => '#8f8f8f',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-2 .theme-primary-menu > li ul a',
                '.header-layout-2 .theme-primary-menu>li:not(.menu-item-has-mega-menu) ul li.menu-item-has-children:after',

                '.header-layout-2 .theme-sidebar-menu > li ul a',
                '.header-layout-2 .theme-sidebar-menu>li:not(.menu-item-has-mega-menu) ul li.menu-item-has-children:after'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));


/*right content*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'kirki_label_hd2_right_content',
    'label'     => esc_attr__( 'Right content', 'minera' ),
    'section'   => 'header_2',
));

/*icon color*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd2_right_icon_color',
    'label'     => esc_attr__( 'Icon color', 'minera' ),
    'section'   => 'header_2',
    'default' => '#000',
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => array(
                '.hd2-action .theme-search-btn',
                '.hd2-action .theme-login-btn',
                '.hd2-action .shopping-cart-icon'
            ),
            'property' => 'color'
        ),
        array(
            'element' => array(
                '.hd2-action .theme-shopping-cart .counter-cart'
            ),
            'property' => 'background-color'
        )
    )
));

/*icon size*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'slider',
    'settings'  => 'hd2_right_icon_size',
    'label'     => esc_attr__( 'Icon size', 'minera' ),
    'description'     => esc_attr__( 'Unit: px', 'minera' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'choices'     => array(
        'min'  => '14',
        'max'  => '60',
        'step' => '1',
    ),
    'default' => 24,
    'output' => array(
        array(
            'element' => array(
                '.hd2-action .theme-search-btn',
                '.hd2-action .theme-login-btn',
                '.hd2-action .shopping-cart-icon'
            ),
            'property' => 'font-size',
            'units' => 'px',
        ),
    )
));

/*Header layout 3 ==================================================*/

/*topbar*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'kirki_label_hd3_topbar',
    'label'     => esc_attr__( 'Topbar', 'minera' ),
    'section'   => 'header_3',
    'partial_refresh' => array(
        'hd3_edit_location' => array(
            'selector'        => '#hd3-edit-location',
            'render_callback' => 'minera_edit_location',
        ),
    ),
));

/*background color*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd3_topbar_bg',
    'label'     => esc_attr__( 'Background color', 'minera' ),
    'section'   => 'header_3',
	'transport' => 'auto',
	'default' => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header-layout-3 .topbar',
			'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
		)
	)
));

/*border color*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd3_topbar_border',
    'label'     => esc_attr__( 'Border color', 'minera' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default' => '#e8e8e8',
    'choices'     => array(
        'alpha' => true,
    ),
    'output' => array(
        array(
            'element' => '.header-layout-3 .topbar',
            'property' => 'border-bottom-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
));

/*icon color*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd3_right_icon_color',
    'label'     => esc_attr__( 'Icon color', 'minera' ),
    'section'   => 'header_3',
    'default' => '#000',
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => array(
                '.hd3-action .theme-login-btn',
                '.hd3-action .shopping-cart-icon'
            ),
            'property' => 'color'
        ),
        array(
            'element' => array(
                '.hd3-action .theme-shopping-cart .counter-cart'
            ),
            'property' => 'background-color'
        )
    )
));

/*icon size*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'slider',
    'settings'  => 'hd3_right_icon_size',
    'label'     => esc_attr__( 'Icon size', 'minera' ),
    'description'     => esc_attr__( 'Unit: px', 'minera' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'choices'     => array(
        'min'  => '14',
        'max'  => '60',
        'step' => '1',
    ),
    'default' => 24,
    'output' => array(
        array(
            'element' => array(
                '.hd3-action .theme-login-btn',
                '.hd3-action .shopping-cart-icon'
            ),
            'property' => 'font-size',
            'units' => 'px',
        ),
    )
));

/*menu box*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'kirki_label_hd3_menu_box',
    'label'     => esc_attr__( 'Menu option', 'minera' ),
    'section'   => 'header_3',
));

/*background color*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd3_bg',
    'label'     => esc_attr__( 'Background color', 'minera' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default' => '#ffffff',
    'choices'     => array(
        'alpha' => true,
    ),
    'output' => array(
        array(
            'element' => '.header-layout-3 .header-box',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
));

/*highlight menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd3_menu_highlight',
    'label'     => esc_attr__( 'Highlight color', 'minera' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default' => '#3e3e3e',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-3 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a',
                '.header-layout-3 .theme-primary-menu li.current-menu-item > a',
                '.header-layout-3 .theme-primary-menu > li.current-menu-ancestor > a',
                '.header-layout-3 .theme-primary-menu > li.current-menu-parent > a',
                '.header-layout-3 .theme-primary-menu > li.current_page_parent > a',
                '.header-layout-3 .theme-primary-menu > li.current_page_ancestor > a',
                '.header-layout-3 .theme-primary-menu > li > a:hover',
                '.header-layout-3 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-3 .theme-primary-menu .mega-menu-row > li > a:hover',
                '.header-layout-3 .theme-primary-menu li.menu-item-has-mega-menu:hover > a',
                '.header-layout-3 .theme-primary-menu .mega-menu-row .sub-menu a:hover',
                '.header-layout-3 #ht-search-btn:hover',
                '.header-layout-3 .shopping-cart-icon:hover'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*heading menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd3_heading_menu',
    'label'     => esc_attr__( 'Parent menu color', 'minera' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default'     => '#8f8f8f',
    'output' => array(
        array(
            'element' => '.header-layout-3 .theme-primary-menu > li > a',
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*sub menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd3_submenu',
    'label'     => esc_attr__( 'Submenu color', 'minera' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default'     => '#8f8f8f',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-3 .theme-primary-menu > li ul a',
                '.header-layout-3 .theme-primary-menu>li:not(.menu-item-has-mega-menu) ul li.menu-item-has-children:after'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*Header layout 4 ==================================================*/

/*background*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd4_bg',
    'label'     => esc_attr__( 'Background color', 'minera' ),
    'section'   => 'header_4',
    'default' => 'rgba(255,255,255,0)',
    'choices'     => array(
		'alpha' => true,
	),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.header-layout-4 .header-box',
            'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
        )
    ),
    'partial_refresh' => array(
        'hd4_edit_location' => array(
            'selector'        => '#hd4-edit-location',
            'render_callback' => 'minera_edit_location',
        ),
    ),
));

/*sidebar menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'select',
    'settings'  => 'hd4_sidebar_menu',
    'label'     => esc_attr__( 'Sidebar menu', 'minera' ),
    'section'   => 'header_4',
    'default' => 'disable',
    'choices'     => $menu
));

/*highlight menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd4_menu_highlight',
    'label'     => esc_attr__( 'Highlight color', 'minera' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default' => '#a9803c',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-4 .theme-sidebar-menu > li:not(.menu-item-has-mega-menu):hover > a',
                '.header-layout-4 .theme-sidebar-menu li.current-menu-item > a',
                '.header-layout-4 .theme-sidebar-menu > li.current-menu-ancestor > a',
                '.header-layout-4 .theme-sidebar-menu > li.current-menu-parent > a',
                '.header-layout-4 .theme-sidebar-menu > li.current_page_parent > a',
                '.header-layout-4 .theme-sidebar-menu > li.current_page_ancestor > a',
                '.header-layout-4 .theme-sidebar-menu > li > a:hover',
                '.header-layout-4 .theme-sidebar-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-4 .theme-sidebar-menu .mega-menu-row > li > a:hover',
                '.header-layout-4 .theme-sidebar-menu li.menu-item-has-mega-menu:hover > a',
                '.header-layout-4 .theme-sidebar-menu .mega-menu-row .sub-menu a:hover'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback' => array(
        array(
            'setting' => 'hd4_sidebar_menu',
            'operator' => '!=',
            'value' => 'disable'
        )
    )
));

/*heading menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd4_heading_menu',
    'label'     => esc_attr__( 'Parent menu color', 'minera' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default'     => '#3e3e3e',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-4 .theme-sidebar-menu > li > a'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback' => array(
        array(
            'setting' => 'hd4_sidebar_menu',
            'operator' => '!=',
            'value' => 'disable'
        )
    )
));

/*sub menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd4_submenu',
    'label'     => esc_attr__( 'Submenu color', 'minera' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default'     => '#8f8f8f',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-4 .theme-sidebar-menu > li ul a',
                '.header-layout-4 .theme-sidebar-menu>li:not(.menu-item-has-mega-menu) ul li.menu-item-has-children:after'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback' => array(
        array(
            'setting' => 'hd4_sidebar_menu',
            'operator' => '!=',
            'value' => 'disable'
        )
    )
));

/*custom icon*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'kirki_label_custom_icon',
    'label'     => esc_attr__( 'Icon color', 'minera' ),
    'section'   => 'header_4',
));

/*color 1*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd4_right_color1',
    'label'     => esc_attr__( 'Color 1', 'minera' ),
    'section'   => 'header_4',
    'default' => '#fff',
    'choices' => array(
        'alpha' => true
    ),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-4 .theme-search-btn',
                '.header-layout-4 .shopping-cart-icon'
            ),
            'property' => 'color'
        ),
        array(
            'element' => array(
                '.header-layout-4 #sidebar-menu-btn',
                '.header-layout-4 .theme-shopping-cart .counter-cart'
            ),
            'property' => 'background-color'
        ),
    )
));

/*color 2*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd4_right_color2',
    'label'     => esc_attr__( 'Color 2', 'minera' ),
    'section'   => 'header_4',
    'default' => '#000',
    'choices' => array(
        'alpha' => true
    ),
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-4 .theme-shopping-cart .counter-cart',
                '.header-layout-4 #sidebar-menu-btn'
            ),
            'property' => 'color'
        )
    )
));

/*Header layout 5 ==================================================*/

/*background*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd5_bg',
    'label'     => esc_attr__( 'Background color', 'minera' ),
    'section'   => 'header_5',
	'default' => '#fff',
    'choices'     => array(
		'alpha' => true,
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-5 .header-box',
			'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
		)
	),
    'partial_refresh' => array(
        'hd5_edit_location' => array(
            'selector'        => '#hd5-edit-location',
            'render_callback' => 'minera_edit_location',
        ),
    ),
));

/*sidebar menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'select',
    'settings'  => 'hd5_sidebar_menu',
    'label'     => esc_attr__( 'Sidebar menu', 'minera' ),
    'section'   => 'header_5',
    'default' => 'disable',
    'choices'     => $menu
));

/*highlight menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd5_menu_highlight',
    'label'     => esc_attr__( 'Highlight color', 'minera' ),
    'section'   => 'header_5',
    'transport' => 'auto',
    'default' => '#a9803c',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-5 .theme-sidebar-menu > li:not(.menu-item-has-mega-menu):hover > a',
                '.header-layout-5 .theme-sidebar-menu li.current-menu-item > a',
                '.header-layout-5 .theme-sidebar-menu > li.current-menu-ancestor > a',
                '.header-layout-5 .theme-sidebar-menu > li.current-menu-parent > a',
                '.header-layout-5 .theme-sidebar-menu > li.current_page_parent > a',
                '.header-layout-5 .theme-sidebar-menu > li.current_page_ancestor > a',
                '.header-layout-5 .theme-sidebar-menu > li > a:hover',
                '.header-layout-5 .theme-sidebar-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '.header-layout-5 .theme-sidebar-menu .mega-menu-row > li > a:hover',
                '.header-layout-5 .theme-sidebar-menu li.menu-item-has-mega-menu:hover > a',
                '.header-layout-5 .theme-sidebar-menu .mega-menu-row .sub-menu a:hover'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback' => array(
        array(
            'setting' => 'hd5_sidebar_menu',
            'operator' => '!=',
            'value' => 'disable'
        )
    )
));

/*heading menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd5_heading_menu',
    'label'     => esc_attr__( 'Parent menu color', 'minera' ),
    'section'   => 'header_5',
    'transport' => 'auto',
    'default'     => '#3e3e3e',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-5 .theme-sidebar-menu > li > a'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback' => array(
        array(
            'setting' => 'hd5_sidebar_menu',
            'operator' => '!=',
            'value' => 'disable'
        )
    )
));

/*sub menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd5_submenu',
    'label'     => esc_attr__( 'Submenu color', 'minera' ),
    'section'   => 'header_5',
    'transport' => 'auto',
    'default'     => '#8f8f8f',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-5 .theme-sidebar-menu > li ul a',
                '.header-layout-5 .theme-sidebar-menu>li:not(.menu-item-has-mega-menu) ul li.menu-item-has-children:after'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    ),
    'active_callback' => array(
        array(
            'setting' => 'hd5_sidebar_menu',
            'operator' => '!=',
            'value' => 'disable'
        )
    )
));

/*Header layout 6 ==================================================*/

/*background*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'color',	
	'settings'  => 'hd6_bg',
	'label'     => esc_attr__( 'Background color', 'minera' ),
	'section'   => 'header_6',
	'default' => '#ffffff',
	'transport' => 'auto',
    'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element' => '.header-layout-6',
			'property' => 'background-color',
            'media_query' => '@media (min-width: 992px)'
		)
	),
	'partial_refresh' => array(
		'hd6_edit_location' => array(
			'selector'        => '#hd6-edit-location',
			'render_callback' => 'minera_edit_location',
		),
	),
));

/*highlight menu*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'color',
	'settings'  => 'hd6_menu_highlight',
	'label'     => esc_attr__( 'Highlight color', 'minera' ),
	'section'   => 'header_6',
	'transport' => 'auto',
	'default' => '#93ab6c',
	'output' => array(
		array(
			'element' => array(
				'.header-layout-6 .theme-sidebar-menu > li:not(.menu-item-has-mega-menu):hover > a',
				'.header-layout-6 .theme-sidebar-menu li.current-menu-item > a',
				'.header-layout-6 .theme-sidebar-menu > li.current-menu-ancestor > a',
				'.header-layout-6 .theme-sidebar-menu > li.current-menu-parent > a',
				'.header-layout-6 .theme-sidebar-menu > li.current_page_parent > a',
				'.header-layout-6 .theme-sidebar-menu > li.current_page_ancestor > a',
				'.header-layout-6 .theme-sidebar-menu > li > a:hover',
				'.header-layout-6 .theme-sidebar-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
				'.header-layout-6 .theme-sidebar-menu .mega-menu-row > li > a:hover',
				'.header-layout-6 .theme-sidebar-menu li.menu-item-has-mega-menu:hover > a',
				'.header-layout-6 .theme-sidebar-menu .mega-menu-row .sub-menu a:hover'
            ),
			'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
		),
	)
));

/*menu color*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'color',
	'settings'  => 'hd6_heading_menu',
	'label'     => esc_attr__( 'Parent menu color', 'minera' ),
	'section'   => 'header_6',
	'transport' => 'auto',
	'default'     => '#8f8f8f',
	'output' => array(
		array(
			'element' => '.header-layout-6 .theme-sidebar-menu a',
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
		),
	)
));

/*sub menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'hd6_submenu',
    'label'     => esc_attr__( 'Submenu color', 'minera' ),
    'section'   => 'header_6',
    'transport' => 'auto',
    'default'     => '#8f8f8f',
    'output' => array(
        array(
            'element' => array(
                '.header-layout-6 .theme-sidebar-menu > li ul a',
                '.header-layout-6 .theme-sidebar-menu>li:not(.menu-item-has-mega-menu) ul li.menu-item-has-children:after'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*SIDEBAR MENU===================*/
/*description*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'textarea',
    'settings'  => 'sidebar_top',
    'label'     => esc_attr__( 'Head sidebar', 'minera' ),
    'section'   => 'sidebar_menu',
    'default' => esc_attr__('An Exquisite Minimal Plant Store', 'minera'),
    'partial_refresh' => array(
        'sidebar_menu_edit_location' => array(
            'selector' => '#sidebar_menu-edit-location',
            'render_callback' => 'minera_edit_location',
        ),
    ),
));

/*foot layout*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'textarea',
    'settings'  => 'sidebar_foot',
    'label'     => esc_attr__( 'Foot sidebar', 'minera' ),
    'section'   => 'sidebar_menu',
    'default' =>
'<p>&copy; 2017 <a href="#"><strong>Minera</strong></a>. All Rights Reserved.</p>
<ul class="social-list theme-social-icon">
<li><a href="//facebook.com/minera"></a></li>
<li><a href="//twitter.com/minera"></a></li>
<li><a href="//pinterest.com/minera"></a></li>
</ul>',
    'choices'     => array(
        'language' => 'html',
        'theme'    => 'default',
        'height'   => 200,
    ),
));

/*STICKY MENU=======================================*/
/*background color*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'sticky_bg',
    'label'     => esc_attr__( 'Background color', 'minera' ),
    'section'   => 'sticky_menu',
    'choices' => array(
        'alpha' => true
    ),
    'default' => '#ffffff',
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '#theme-sticky-menu .header-box',
            'property' => 'background-color'
        )
    ),
    'partial_refresh' => array(
        'sticky_menu_edit_location' => array(
            'selector' => '#sticky_menu-edit-location',
            'render_callback' => 'minera_edit_location',
        ),
    ),
));

/*highlight menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'sticky_menu_highlight',
    'label'     => esc_attr__( 'Highlight menu color', 'minera' ),
    'section'   => 'sticky_menu',
    'transport' => 'auto',
    'default' => '#a9803c',
    'output' => array(
        array(
            'element' => array(
                '#theme-sticky-menu .theme-primary-menu li.current-menu-item > a',
                '#theme-sticky-menu .theme-primary-menu > li.current-menu-ancestor > a',
                '#theme-sticky-menu .theme-primary-menu > li.current-menu-parent > a',
                '#theme-sticky-menu .theme-primary-menu > li.current_page_parent > a',
                '#theme-sticky-menu .theme-primary-menu > li.current_page_ancestor > a',
                '#theme-sticky-menu .theme-primary-menu > li > a:hover',
                '#theme-sticky-menu .theme-primary-menu > li:hover > a',
                '#theme-sticky-menu .theme-primary-menu li ul a:hover',
                '#theme-sticky-menu .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover',
                '#theme-sticky-menu .theme-primary-menu .mega-menu-row .sub-menu a:hover'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*heading menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'sticky_heading_menu',
    'label'     => esc_attr__( 'Parent menu color', 'minera' ),
    'section'   => 'sticky_menu',
    'transport' => 'auto',
    'default'     => '#3e3e3e',
    'output' => array(
        array(
            'element' => '#theme-sticky-menu .theme-primary-menu > li > a',
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));

/*sub menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'sticky_submenu',
    'label'     => esc_attr__( 'Submenu color', 'minera' ),
    'section'   => 'sticky_menu',
    'transport' => 'auto',
    'default'     => '#8f8f8f',
    'output' => array(
        array(
            'element' => array(
                '#theme-sticky-menu .theme-primary-menu > li ul a',
                '#theme-sticky-menu .theme-primary-menu .mega-menu-row',
                '#theme-sticky-menu .theme-primary-menu >li:not(.menu-item-has-mega-menu) ul li.menu-item-has-children:after'
            ),
            'property' => 'color',
            'media_query' => '@media (min-width: 992px)'
        ),
    )
));