<?php
// @codingStandardsIgnoreStart

/*header background color in single product*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'c_shop_single_bg',
    'label'     => esc_attr__( 'Header background color for single product', 'minera' ),
    'description' => esc_attr__('This option only available if you disable Sidebar in this post', 'minera'),
    'section'   => 'single_product',
    'transport' => 'auto',
    'default' => '#ffffff',
    'choices' => array(
        'alpha' => true
    ),
    'output'     => array(
        array(
            'element' => '.single.shop-single-not-sidebar .theme-breadcrumb, .single.shop-single-not-sidebar .w-data-view',
            'property' => 'background-color',
        )
    ),
));

/*product gallery*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'select',
    'settings'  => 'c_shop_layout',
    'label'     => esc_attr__( 'Gallery layout', 'minera' ),
    'section'   => 'single_product',
    'default' => 'horizontal',
    'choices' => array(
        'list' => esc_attr__('Product sticky', 'minera'),
        'horizontal' => esc_attr__('Slider horizontal', 'minera'),
        'vertical' => esc_attr__('Slider vertical', 'minera'),
    ),
));

/*disable lightbox && zoom effect*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'switch',
    'settings'  => 'effect_off',
    'label'     => esc_attr__( 'Enable zoom and lightbox effect', 'minera' ),
    'section'   => 'single_product',
    'default' => '1',
    'choices' => array(
        'on' => esc_attr__( 'Yes', 'minera' ),
        'off' => esc_attr__( 'No', 'minera' ),
    ),
));

/*switch lightbox effect*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'switch',
    'settings'  => 'c_shop_lightbox',
    'label'     => esc_attr__( 'Lightbox effect', 'minera' ),
    'description' => esc_attr__('Switch lightbox effect instead for zoom effect', 'minera'),
    'section'   => 'single_product',
    'default' => '0',
    'choices' => array(
        'on' => esc_attr__('Yes', 'minera'),
        'off' => esc_attr__('No', 'minera'),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'effect_off',
            'operator' => '==',
            'value'    => '1',
        ),
    )
));

/*product related*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'text',
    'settings'  => 'c_shop_single_related',
    'label'     => esc_attr__( 'Related products', 'minera' ),
    'description' => esc_attr__('Enter number of related products', 'minera'),
    'section'   => 'single_product',
    'default' => 3,
));

/*single add to cart option*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'switch',
    'settings'  => 'c_single_atc',
    'label'     => esc_attr__( 'Ajax add to cart', 'minera' ),
    'description' => esc_attr__( 'Choose No if you want to disable ajax add to cart feature', 'minera' ),
    'section'   => 'single_product',
    'default' => '1',
    'choices' => array(
        'on' => esc_attr__( 'Yes', 'minera' ),
        'off' => esc_attr__( 'No', 'minera' ),
    ),
));

/*sidebar position*/
Minera_Kirki::add_field( 'minera', array(
	'type'        => 'radio-image',
	'settings'    => 'shop_single_sidebar',
	'description' => esc_attr__( 'Select the sidebar position of Product page.', 'minera' ),
	'label'       => esc_attr__( 'Sidebar position', 'minera' ),
	'section'     => 'single_product',
	'choices'     => array(
		'left'  => get_template_directory_uri() . '/images/sidebar/left.png',
		'full'  => get_template_directory_uri() . '/images/sidebar/full.png',
		'right' => get_template_directory_uri() . '/images/sidebar/right.png',
	),
	'default' => 'full',
));
