<?php

if(function_exists('vc_map')){
	add_action( 'init', 'minera_vc_shortcode' );
}

/*THEME SHORTCODE*/
if(!function_exists('minera_vc_shortcode')){
    function minera_vc_shortcode(){
    	/*video popup*/
        vc_map(array(
			'name' => esc_html__( 'Video popup', 'minera' ),
			'icon' => 'ion-social-youtube-outline',
			'base' => 'ht_video',
			'category' => esc_html__( 'Minera Theme', 'minera' ),
			'description' => esc_html__( 'Add a video popup', 'minera' ),
			'params' => array(
				/*demo*/
				array(
					'type' => 'imagepicker',
					'heading' => esc_html__( 'Images', 'minera' ),
					'param_name' => 'demo',
					'option' => array(
                        'huong' => get_template_directory_uri() . '/images/test/1.jpg',
                        'chanh' => get_template_directory_uri() . '/images/test/2.jpg',
                    ),
                    'value' => 'huong'
				),
                /*style*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Source', 'minera' ),
                    'admin_label' => true,
                    'param_name' => 'source',
                    'value' => array(
                        esc_html__('Vimeo', 'minera') => 'vimeo',
                        esc_html__('Youtube', 'minera') => 'youtube',
                    ),
                    'std' => 'youtube'
                ),
				/*video id*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Video ID', 'minera' ),
					'description' => sprintf(__( 'Just paste the bold part of the video\'s URL: %1$s%2$s', 'minera' ),
						'<br>https://www.youtube.com/watch?v=<b>qDvFdj-pFMc</b>',
						'<br>https://vimeo.com/<b>119287310</b>'),
					'param_name' => 'video_id',
					'admin_label' => true,
					'value' => 'qDvFdj-pFMc',
				),
				/*text watch video*/
				array(
					'type' => 'textfield',
					'heading'=> esc_html__( 'Short description text', 'minera' ),
					'param_name' => 'desc',
					'value' => 'Watch Video'
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'minera' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'minera' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'minera' ),
				),
			),
		));

    	/*google maps*/
    	vc_map( array(
			'name' => esc_html__( 'Map', 'minera' ),
			'base' => 'gmaps',
			'icon' => 'ion-ios-location',
			'category' => esc_html__('Minera Theme', 'minera'),
			'description' => esc_html__( 'Add a custom map', 'minera' ),
			'params' => array(
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Google API key required', 'minera' ),
                    'description' => sprintf(esc_html__( 'Enter your Google API key, %1$s', 'minera' ), '<a href="//developers.google.com/maps/documentation/javascript/get-api-key" target="_blank">'.esc_html__('get API key here', 'minera').'</a>'),
					'param_name'  => 'api_key',
					'value'       => '',
				),
                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Address or Coordinate', 'minera' ),
                    'admin_label' => true,
                    'param_name'  => 'address',
                    'value'       => '40.713789,-74.010944',
                    'description' => sprintf(esc_html__( 'Enter address or coordinate, %1$s', 'minera' ), '<a href="//gps-coordinates.net/" target="_blank">'.esc_html__('find here', 'minera').'</a>'),
                ),
				array(
					'type'        => 'attach_image',
					'heading'     => esc_html__( 'Marker icon', 'minera' ),
					'param_name'  => 'marker_icon',
					'description' => esc_html__( 'Choose a image for marker address', 'minera' ),
				),
				array(
					'type'        => 'textarea',
					'heading'     => esc_html__( 'Marker Information', 'minera' ),
					'param_name'  => 'map_info',
					'description' => esc_html__( 'Content for info window', 'minera' ),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Height', 'minera' ),
					'param_name'  => 'map_height',
					'value'       => '385px',
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Zoom level', 'minera' ),
					'param_name'  => 'zoom',
                    'value'       => 13,
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Enable Map zoom', 'minera' ),
					'param_name' => 'zoom_enable',
					'value'      => array(
						esc_html__( 'Yes', 'minera' ) => 'yes'
					),
                    'std' => 'no'
				),
				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__( 'Map type', 'minera' ),
					'admin_label' => true,
					'param_name'  => 'map_type',
					'description' => esc_html__( 'Choose a map type', 'minera' ),
					'value'       => array(
						esc_html__( 'Roadmap', 'minera' )   => 'ROADMAP',
                        esc_html__( 'Satellite', 'minera' ) => 'SATELLITE',
						esc_html__( 'Hybrid', 'minera' )    => 'HYBRID',
						esc_html__( 'Terrain', 'minera' )   => 'TERRAIN',
					),
                    'std' => 'ROADMAP'
				),
				array(
					'type'        => 'dropdown',
					'heading'     => esc_html__( 'Map style', 'minera' ),
					'admin_label' => true,
					'param_name'  => 'map_style',
					'description' => esc_html__( 'Choose a map style. This approach changes the style of the Roadmap types (base imagery in terrain and satellite views is not affected, but roads, labels, etc. respect styling rules', 'minera' ),
					'value'       => array(
						esc_html__( 'Default', 'minera' )          => 'default',
						esc_html__( 'Grayscale', 'minera' )        => 'style1',
						esc_html__( 'Subtle Grayscale', 'minera' ) => 'style2',
						esc_html__( 'Apple Maps-esque', 'minera' ) => 'style3',
						esc_html__( 'Pale Dawn', 'minera' )        => 'style4',
						esc_html__( 'Muted Blue', 'minera' )       => 'style5',
						esc_html__( 'Paper', 'minera' )            => 'style6',
						esc_html__( 'Light Dream', 'minera' )      => 'style7',
						esc_html__( 'Retro', 'minera' )            => 'style8',
						esc_html__( 'Avocado World', 'minera' )    => 'style9',
						esc_html__( 'Shades of Grey', 'minera' )   => 'style10',
						esc_html__( 'Blue water', 'minera' )       => 'style11',
						esc_html__( 'Minera style', 'minera' )     => 'style12',
					),
					'std' => 'style12'
				),
				array(
			        'type'        => 'textfield',
			        'heading'     => esc_html__('Class', 'minera' ),
			        'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
			        'admin_label' => true,
			        'param_name'  => 'class',
		        ),
		        array(
			        'type'       => 'css_editor',
			        'heading'    => esc_html__( 'CSS', 'minera' ),
			        'param_name' => 'inline_css',
			        'group'      => esc_html__( 'Design Options', 'minera' ),
		        ),
			),
		));

        /*iconbox*/
        vc_map(array(
			'name' => esc_html__( 'Iconbox', 'minera' ),
			'icon' => 'ion-cube',
			'base' => 'iconbox',
			'category' => esc_html__( 'Minera Theme', 'minera' ),
			'description' => esc_html__( 'Add a Iconbox', 'minera' ),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'minera' ),
					'admin_label' => true,
					'param_name' => 'style',
					'value' => array(
						esc_html__('Icon above title', 'minera') => 'icon-above-title',
						esc_html__('Icon inline with title', 'minera') => 'icon-inline-title',
					),
					'std' => 'icon-inline-title'
				),
				/*text align with icon-above-title*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Text align', 'minera' ),
					'param_name' => 'align',
					'dependency' => array(
						'element' => 'style',
						'value' => 'icon-above-title'
					),
					'value' => array(
						esc_html__('Left', 'minera') => 'text-left',
						esc_html__('Center', 'minera') => 'text-center',
						esc_html__('Right', 'minera') => 'text-right',
					),
					'std' => 'text-center'
				),
				/*direction with icon-inline-title*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Direction', 'minera' ),
					'param_name' => 'direction',
					'dependency' => array(
						'element' => 'style',
						'value' => 'icon-inline-title'
					),
					'value' => array(
						esc_html__('Left', 'minera') => 'direct-left',
						esc_html__('Right', 'minera') => 'direct-right',
					),
					'std' => 'direct-left'
				),
				/*title*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Title', 'minera' ),
					'description' => esc_html__( 'Enter your title', 'minera' ),
					'param_name' => 'ht_title',
					'admin_label' => true,
					'value' => 'This is my title',
				),                    
                /*text color*/
                array(
                    'type' => 'colorpicker',
                    'heading' => esc_html__('Text color', 'minera'),
                    'param_name' => 'title_color',
                    'value' => ''
                ),
                /*font size*/
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Font size', 'minera'),
                    'param_name' => 'title_zise',
                    'value' => '',
                ),
                /*line height*/
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Line height', 'minera'),
                    'param_name' => 'title_line_height',
                    'value' => '',
                ),
                /*gg font*/
                array(
                    'type' => 'checkbox',
                    'heading' => esc_html__( 'Use theme default font family?', 'minera' ),
                    'param_name' => 'custom_font',
                    'value' => array(
                        esc_html__('Yes', 'minera') => 'yes'
                    ),
                    'std' => 'yes'
                ),
                array(
                    'type' => 'google_fonts',
                    'param_name' => 'fonts',
                    'value' => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
                    'settings' => array(
                        'fields' => array(
                            'font_family_description' => esc_html__( 'Select font family.', 'minera' ),
                            'font_style_description' => esc_html__( 'Select font styling.', 'minera' ),
                        ),
                    ),
                    'dependency' => array(
                        'element' => 'custom_font',
                        'value_not_equal_to' => 'yes'
                    )
                ),
                /*font weight*/
                array(
                    'type' => 'dropdown',
                    'param_name' => 'font_weight',
                    'value' => array(300,400,500,600,700),
                    'std' => 400,
                    'dependency' => array(
                        'element' => 'custom_font',
                        'value' => 'no'
                    )
                ),
				/*icon*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Icon', 'minera' ),
					'param_name' => 'icon',
					'value' => array(
						esc_html__('Use Image', 'minera') => 'use-image',
						esc_html__('Use Font Icon', 'minera') => 'use-font-icon',
					),
					'std' => 'use-image'
				),
				/*icon - use font icon*/
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Choose icon', 'minera' ),
					'param_name' => 'font_icon',
					'value' => 'fa-plus-circle',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Size', 'minera' ),
					'param_name' => 'font_size',
					'value' => '100px',
					'description' => esc_html('Enter font size. Ex: "30px", "1.5rem" or "2em"', 'minera'),
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Color', 'minera' ),
					'param_name' => 'font_color',
					'value' => '#222222',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				/*icon - use image*/
				array(
					'type' => 'attach_image',
					'heading' => esc_html__( 'Image', 'minera' ),
					'param_name' => 'image',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-image'
					),
				),
				/*image hover effect*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Image hover effect', 'minera' ),
					'param_name' => 'hover',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-image'
					),
					'value' => array(
						esc_html__('No Effect', 'minera') => '',
						esc_html__('Zoom In', 'minera') => 'h-zoom-in',
						esc_html__('Zoom Out', 'minera') => 'h-zoom-out',
						esc_html__('Rotate', 'minera') => 'h-rotate',
						esc_html__('Blur', 'minera') => 'h-blur',
						esc_html__('Gray Scale', 'minera') => 'h-gray-scale',
						esc_html__('Sepia', 'minera') => 'h-sepia',
						esc_html__('Opacity ', 'minera') => 'h-opacity',
						esc_html__('Flashing', 'minera') => 'h-flashing',
						esc_html__('Shine', 'minera') => 'h-shine',
						esc_html__('Circle', 'minera') => 'h-circle',
						esc_html__('Shake', 'minera') => 'h-shake',
						esc_html__('Pulse', 'minera') => 'h-pulse',
						esc_html__('Fade in up', 'minera') => 'h-fadeup',
					),
					'std' => ''
				),
				/*content*/
				array(
					'type' => 'textarea',
					'heading' => esc_html__( 'Content', 'minera' ),
					'param_name' => 'content',
					'value' => 'Sed consectetur tellus eget odio aliquet, vel vestibulum tellus sollicitudin.',
				),
				/*link*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Custom link?', 'minera' ),
					'param_name' => 'title_link',
					'value' => array(
						esc_html__('Yes', 'minera') => 'yes',
					),
					'std' => 'no'
				),
				array(
					'type'       => 'vc_link',
					'param_name' => 'link',
					'dependency' => array(
						'element' => 'title_link',
						'value' => 'yes'
					)
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'minera' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'minera' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'minera' ),
				),
			),
		));

		/*testi*/
		vc_map(array(
			'name' => esc_html__( 'Testimonials', 'minera' ),
			'icon' => 'ion-quote',
			'base' => 'testi',
			'category' => esc_html__('Minera Theme', 'minera'),
			'description' => esc_html__( 'Add customer testimonials', 'minera' ),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'minera' ),
					'admin_label' => true,
					'param_name' => 'style',
					'value' => array(
						esc_html__( 'Style 1', 'minera' ) => 'text-left',
						esc_html__( 'Style 2', 'minera' ) => 'text-center',
					),
					'std' => 'text-left'
				),
				/*post count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Post count', 'minera' ),
					'admin_label' => true,
					'param_name' => 'count',
					'value' => '4'
				),
				/*INCLIDE BY DEFAULT*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'minera' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'minera' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'minera' ),
				),
			)
		));

		/*blog news*/
			$categories = get_terms( 'category' );
			$tags = get_tags( 'category' );
			$tag_arr = $category_arr = $posts_arr = array();
			/*get blog categories*/
			if( !empty( $categories ) && ! is_wp_error( $categories ) ) {
				foreach( $categories as $key ) {
					$category_arr[] = array( 'label' => $key->name, 'value' => $key->slug );
				}
			}
			/*get blog tags*/
			if( !empty( $tags ) && ! is_wp_error( $tags ) ) {
				foreach( $tags as $key ) {
					$tag_arr[] = array( 'label' => $key->name, 'value' => $key->slug );
				}
			}
			/*get blog posts*/
			$args = new WP_Query( array(
				'post_type'      => 'post',
				'posts_per_page' => -1
			));

			$data = $args->posts;
			if( !empty( $args ) && ! is_wp_error( $args ) ) {
				foreach( $data as $key ) {
					$posts_arr[] = array( 'label' => $key->post_title, 'value' => $key->post_name );
				}
			}
		vc_map( array(
			'name' => esc_html__( 'Blog News', 'minera' ),
			'base' => 'news',
			'icon' => 'ion-ios-paper',
			'category' => esc_html__('Minera Theme', 'minera'),
			'description' => esc_html__( 'Add blog news section', 'minera' ),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'minera' ),
					'param_name' => 'style',
					'admin_label' => true,
					'value' => array(
						esc_html__('List', 'minera') => 'list',
						esc_html__('Grid', 'minera') => 'grid',
						esc_html__('Zigzag', 'minera') => 'zigzag',
						esc_html__('Masonry', 'minera') => 'masonry'
					),
					'std' => 'list'
				),
				/*list style center*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Centering things?', 'minera' ),
					'param_name' => 'center',
					'dependency' => array(
						'element' => 'style',
						'value' => 'list'
					),
					'value' => array(
						esc_html__('Yes', 'minera') => 'yes'
					),
					'std' => 'no'
				),
				/*list style img thumbnail*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Basic view?', 'minera' ),
					'description' => esc_html__( 'Image thumbnail and blog post summary will not showing', 'minera' ),
					'param_name' => 'basic',
					'dependency' => array(
						'element' => 'center',
						'value' => 'yes'
					),
					'value' => array(
						esc_html__('Yes', 'minera') => 'yes'
					),
					'std' => 'yes'
				),
				/*grid column*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Grid column', 'minera' ),
					'param_name' => 'grid_col',
					'dependency' => array(
						'element' => 'style',
						'value' => 'grid'
					),
					'value' => array(2,3),
					'std' => '2'
				),
				/*data source*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__('Narrow data source', 'minera'),
					'param_name' => 'data',
					'admin_label' => true,
					'value' => array(
						esc_html__('Categories', 'minera') => 'cat',
						esc_html__('Tags', 'minera') => 'tag',
						esc_html__('Posts', 'minera') => 'post',
					),
					'std' => 'cat'
				),
				/*cate*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Enter categories', 'minera' ),
					'param_name' => 'data_cat',
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'unique_values' => true,
						'delay' => 200,
						'values' => $category_arr
					),
					'dependency' => array(
						'element' => 'data',
						'value' => 'cat'
					)
				),
				/*tag*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Enter tags', 'minera' ),
					'param_name' => 'data_tag',
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'unique_values' => true,
						'delay' => 200,
						'values' => $tag_arr
					),
					'dependency' => array(
						'element' => 'data',
						'value' => 'tag'
					)
				),
				/*posts*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Enter post name or post slug', 'minera' ),
					'param_name' => 'data_post',
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'unique_values' => true,
						'delay' => 200,
						'values' => $posts_arr
					),
					'dependency' => array(
						'element' => 'data',
						'value' => 'post'
					)
				),
				/*count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Items per page', 'minera' ),
					'description' => esc_html__('Number of items to show per page.', 'minera'),
					'param_name' => 'count',
					'dependency' => array(
						'element' => 'data',
						'value' => array('tag', 'cat')
					),
					'value' => 5
				),
				/*order by*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Order by', 'minera' ),
					'description' => esc_html__('Select order type.', 'minera'),
					'param_name' => 'orderby',
					'admin_label' => true,
					'value' => array(
						esc_html__('Date', 'minera') => 'date',
						esc_html__('Post ID', 'minera') => 'ID',
						esc_html__('Author', 'minera') => 'author',
						esc_html__('Title', 'minera') => 'title',
						esc_html__('Last modified', 'minera') => 'modified',
						esc_html__('Name', 'minera') => 'name',
						esc_html__('Number of comments', 'minera') => 'comment_count',
						esc_html__('Random', 'minera') => 'rand'
					),
					'std' => 'date'
				),
				/*Sort order*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Sort order', 'minera' ),
					'description' => esc_html__('Select sorting order.', 'minera'),
					'param_name' => 'order',
					'admin_label' => true,
					'value' => array(
						esc_html__('Ascending', 'minera') => 'ASC',
						esc_html__('Descending', 'minera') => 'DESC'
					),
					'std' => 'ASC'
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'minera' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'minera' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'minera' ),
				),
			),
		));

		/*blog news carousel*/
		vc_map( array(
			'name' => esc_html__( 'Blog News Carousel', 'minera' ),
			'base' => 'news_carousel',
			'icon' => 'ion-android-options',
			'category' => esc_html__('Minera Theme', 'minera'),
			'description' => esc_html__( 'Add blog news carousel section', 'minera' ),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'minera' ),
					'param_name' => 'style',
					'admin_label' => true,
					'value' => array(
						esc_html__('Style 1', 'minera') => 'one',
						esc_html__('Style 2', 'minera') => 'two',
					),
					'std' => 'one'
				),
				/*data source*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__('Narrow data source', 'minera'),
					'param_name' => 'data',
					'admin_label' => true,
					'value' => array(
						esc_html__('Categories', 'minera') => 'cat',
						esc_html__('Tags', 'minera') => 'tag',
						esc_html__('Posts', 'minera') => 'post',
					),
					'std' => 'post'
				),
				/*cate*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Enter categories', 'minera' ),
					'param_name' => 'data_cat',
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'unique_values' => true,
						'delay' => 200,
						'values' => $category_arr
					),
					'dependency' => array(
						'element' => 'data',
						'value' => 'cat'
					)
				),
				/*tag*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Enter tags', 'minera' ),
					'param_name' => 'data_tag',
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'unique_values' => true,
						'delay' => 200,
						'values' => $tag_arr
					),
					'dependency' => array(
						'element' => 'data',
						'value' => 'tag'
					)
				),
				/*posts*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Enter post name or post slug', 'minera' ),
					'param_name' => 'data_post',
					'settings' => array(
						'multiple' => true,
						'min_length' => 1,
						'unique_values' => true,
						'delay' => 200,
						'values' => $posts_arr
					),
					'dependency' => array(
						'element' => 'data',
						'value' => 'post'
					)
				),
				/*order by*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Order by', 'minera' ),
					'description' => esc_html__('Select order type.', 'minera'),
					'param_name' => 'orderby',
					'admin_label' => true,
					'value' => array(
						esc_html__('Date', 'minera') => 'date',
						esc_html__('Post ID', 'minera') => 'ID',
						esc_html__('Author', 'minera') => 'author',
						esc_html__('Title', 'minera') => 'title',
						esc_html__('Last modified', 'minera') => 'modified',
						esc_html__('Name', 'minera') => 'name',
						esc_html__('Number of comments', 'minera') => 'comment_count',
						esc_html__('Random', 'minera') => 'rand'
					),
					'std' => 'date'
				),
				/*Sort order*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Sort order', 'minera' ),
					'description' => esc_html__('Select sorting order.', 'minera'),
					'param_name' => 'order',
					'admin_label' => true,
					'value' => array(
						esc_html__('Ascending', 'minera') => 'ASC',
						esc_html__('Descending', 'minera') => 'DESC'
					),
					'std' => 'ASC'
				),
				/*INCLIDE BY DEFAULT*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'minera' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'minera' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'minera' ),
				),
			),
		));

		/*carousel image*/
		vc_map(array(
			'name' => esc_html__( 'Carousel Image', 'minera' ),
			'icon' => 'ion-code',
			'base' => 'carousel',
			'description' => esc_html__( 'Add a carousel image', 'minera' ),
			'category' => esc_html__('Minera Theme', 'minera'),
			'params' => array(
				/*imgs*/
				array(
					'type' => 'attach_images',
					'heading' => esc_html__( 'Image(s)', 'minera' ),
					'admin_label' => true,
					'param_name' => 'data',
				),
				/*INCLIDE BY DEFAULT*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'minera' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'minera' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'minera' ),
				),
			)
		));

		/*product sale*/
			$pro = array();
            if( class_exists( 'WooCommerce' ) ){
                $pro_args = new WP_Query( array(
                    'post_type'      => 'product',
                    'posts_per_page' => -1,
                    'meta_query'        => WC()->query->get_meta_query(),
                    'post__in'          => array_merge( array( 0 ), wc_get_product_ids_on_sale() )
                ));

                $pro_data = $pro_args->posts;
                if( !empty( $pro_args ) && ! is_wp_error( $pro_args ) ) {
                    foreach( $pro_data as $key ) {
                        $pro[] = array( 'label' => $key->post_title, 'value' => $key->post_name );
                    }
                }
            }
		vc_map(array(
			'name' => esc_html__( 'Product sale countdown timer', 'minera' ),
			'icon' => 'ion-trophy',
			'base' => 'product_sale',
			'description' => esc_html__( 'Add a product sale', 'minera' ),
			'category' => esc_html__('Minera Theme', 'minera'),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'minera' ),
					'param_name' => 'feature_style',
					'value' => array(
						esc_html__('Style 1', 'minera') => 'style-1',
						esc_html__('Style 2', 'minera') => 'style-2',
						esc_html__('Style 3', 'minera') => 'style-3'
					),
					'std' => 'style-1'
				),
				/*product id*/
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Enter product name or slug', 'minera' ),
					'param_name' => 'product_slug',
					'settings' => array(
						'multiple' => false,
						'min_length' => 1,
						'unique_values' => true,
						'delay' => 200,
						'values' => $pro
					)
				),
				/*img*/
				array(
					'type' => 'attach_image',
					'heading' => esc_html__( 'Background image', 'minera' ),
					'description' => esc_html__('Choose your images', 'minera'),
					'param_name' => 'feature_img',
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'minera' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'minera' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'minera' ),
				),
			)
		));

        /*product wit filter*/
            $product_categories = get_terms( 'product_cat' );
            $product_tags = get_terms( 'product_tag' );
            $product_tag_arr = $product_category_arr = $product_arr = array();
            /*get product categories*/
            if( !empty( $product_categories ) && ! is_wp_error( $product_categories ) ) {
                foreach( $product_categories as $key ) {
                    $product_category_arr[] = array( 'label' => $key->name, 'value' => $key->slug );
                }
            }
            /*get product tags*/
            if( !empty( $product_tags ) && ! is_wp_error( $product_tags ) ) {
                foreach( $product_tags as $key ) {
                    $product_tag_arr[] = array( 'label' => $key->name, 'value' => $key->slug );
                }
            }
            /*get product slug/name*/
            $product_args = new WP_Query( array(
                'post_type'      => 'product',
                'posts_per_page' => -1
            ));

            $product_data = $product_args->posts;
            if( !empty( $product_args ) && ! is_wp_error( $product_args ) ) {
                foreach( $product_data as $key ) {
                    $product_arr[] = array( 'label' => $key->post_title, 'value' => $key->post_name );
                }
            }
        vc_map(array(
            'name' => esc_html__('Products', 'minera'),
            'icon' => 'ion-ios-color-filter',
            'base' => 'product_filter',
            'description' => esc_html__( 'Add a products', 'minera' ),
            'category' => 'Minera Theme',
            'params' => array(
                /*data source*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Narrow data source', 'minera'),
                    'param_name' => 'data',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('Categories', 'minera') => 'cat',
                        esc_html__('Tags', 'minera') => 'tag',
                        esc_html__('Posts', 'minera') => 'post',
                    ),
                    'std' => 'cat'
                ),
                /*cate*/
                array(
                    'type' => 'autocomplete',
                    'heading' => esc_html__( 'Enter categories', 'minera' ),
                    'param_name' => 'data_cat',
                    'settings' => array(
                        'multiple' => true,
                        'min_length' => 1,
                        'unique_values' => true,
                        'delay' => 200,
                        'values' => $product_category_arr
                    ),
                    'dependency' => array(
                        'element' => 'data',
                        'value' => 'cat'
                    )
                ),
                /*tag*/
                array(
                    'type' => 'autocomplete',
                    'heading' => esc_html__( 'Enter tags', 'minera' ),
                    'param_name' => 'data_tag',
                    'settings' => array(
                        'multiple' => true,
                        'min_length' => 1,
                        'unique_values' => true,
                        'delay' => 200,
                        'values' => $product_tag_arr
                    ),
                    'dependency' => array(
                        'element' => 'data',
                        'value' => 'tag'
                    )
                ),
                /*posts*/
                array(
                    'type' => 'autocomplete',
                    'heading' => esc_html__( 'Enter post name or post slug', 'minera' ),
                    'param_name' => 'data_post',
                    'settings' => array(
                        'multiple' => true,
                        'min_length' => 1,
                        'unique_values' => true,
                        'delay' => 200,
                        'values' => $product_arr
                    ),
                    'dependency' => array(
                        'element' => 'data',
                        'value' => 'post'
                    )
                ),
                /*shop style*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Style', 'minera'),
                    'description' => esc_html__('Choose style', 'minera'),
                    'param_name' => 'style',
                    'value' => array(
                        esc_html__('Grid', 'minera') => 'grid',
                        esc_html__('List', 'minera') => 'list',
                    ),
                    'std' => 'grid'
                ),
                /*grid style: columns*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Columns', 'minera'),
                    'param_name' => 'grid_col',
                    'value' => array(2,3,4),
                    'std' => 3,
                    'dependency' => array(
                        'element' => 'style',
                        'value' => 'grid'
                    )
                ),
                /*list style: columns*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Columns', 'minera'),
                    'param_name' => 'list_col',
                    'value' => array(1,2),
                    'std' => 1,
                    'dependency' => array(
                        'element' => 'style',
                        'value' => 'list'
                    )
                ),
                /*text align*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Text align', 'minera'),
                    'param_name' => 'align',
                    'dependency' => array(
                        'element' => 'style',
                        'value' => 'grid'
                    ),
                    'value' => array(
                        esc_html__('Left', 'minera') => 'text-left',
                        esc_html__('Center', 'minera') => 'text-center',
                        esc_html__('Right', 'minera') => 'text-right',
                    ),
                    'std' => 'text-left'
                ),
                /*thumbnail size*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Thumbnail size', 'minera'),
                    'description' => esc_html__('You can edit image size at: Under admin panel -> WooCommerce -> Settings -> Products -> Display -> Product images', 'minera'),
                    'param_name' => 'size',
                    'value' => array(
                        esc_html__('Shop catalog image', 'minera') => 'shop_catalog',
                        esc_html__('Single product image', 'minera') => 'single_image',
                        esc_html__('Product thumbnail', 'minera') => 'shop_thumbnail',
                        esc_html__('Full image', 'minera') => 'full',
                    ),
                    'std' => 'shop_catalog'
                ),
                /*filter*/
                array(
                    'type' => 'checkbox',
                    'heading' => esc_html__('Show filter', 'minera'),
                    'param_name' => 'filter',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('Yes', 'minera') => 'yes'
                    ),
                    'std' => 'no'
                ),
                /*count*/
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Total items', 'minera' ),
                    'description' => esc_html__('Set max limit for items in grid or enter -1 to display all (limited to 1000).', 'minera'),
                    'param_name' => 'count',
                    'dependency' => array(
                        'element' => 'data',
                        'value' => array('tag', 'cat')
                    ),
                    'value' => 12
                ),
                /*order by*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Order by', 'minera' ),
                    'description' => esc_html__('Select order type.', 'minera'),
                    'param_name' => 'orderby',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('Date', 'minera') => 'date',
                        esc_html__('Post ID', 'minera') => 'ID',
                        esc_html__('Author', 'minera') => 'author',
                        esc_html__('Title', 'minera') => 'title',
                        esc_html__('Last modified', 'minera') => 'modified',
                        esc_html__('Name', 'minera') => 'name',
                        esc_html__('Number of comments', 'minera') => 'comment_count',
                        esc_html__('Random', 'minera') => 'rand'
                    ),
                    'std' => 'date'
                ),
                /*Sort order*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Sort order', 'minera' ),
                    'description' => esc_html__('Select sorting order.', 'minera'),
                    'param_name' => 'order',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('Ascending', 'minera') => 'ASC',
                        esc_html__('Descending', 'minera') => 'DESC'
                    ),
                    'std' => 'ASC'
                ),
                vc_map_add_css_animation(),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Class', 'minera' ),
                    'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
                    'admin_label' => true,
                    'param_name' => 'class',
                ),
                array(
                    'type' => 'css_editor',
                    'heading'=> esc_html__( 'CSS', 'minera' ),
                    'param_name' => 'inline_css',
                    'group' => esc_html__( 'Design Options', 'minera' ),
                ),
            )
        ));

        /*products slider*/
        vc_map(array(
            'name' => esc_html__('Products slider', 'minera'),
            'icon' => 'ion-ios-toggle',
            'base' => 'product_slider',
            'description' => esc_html__( 'Add a products slider', 'minera' ),
            'category' => 'Minera Theme',
            'params' => array(
                /*data source*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Narrow data source', 'minera'),
                    'param_name' => 'data',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('Categories', 'minera') => 'cat',
                        esc_html__('Tags', 'minera') => 'tag',
                        esc_html__('Posts', 'minera') => 'post',
                    ),
                    'std' => 'cat'
                ),
                /*cate*/
                array(
                    'type' => 'autocomplete',
                    'heading' => esc_html__( 'Enter categories', 'minera' ),
                    'param_name' => 'data_cat',
                    'settings' => array(
                        'multiple' => true,
                        'min_length' => 1,
                        'unique_values' => true,
                        'delay' => 200,
                        'values' => $product_category_arr
                    ),
                    'dependency' => array(
                        'element' => 'data',
                        'value' => 'cat'
                    )
                ),
                /*tag*/
                array(
                    'type' => 'autocomplete',
                    'heading' => esc_html__( 'Enter tags', 'minera' ),
                    'param_name' => 'data_tag',
                    'settings' => array(
                        'multiple' => true,
                        'min_length' => 1,
                        'unique_values' => true,
                        'delay' => 200,
                        'values' => $product_tag_arr
                    ),
                    'dependency' => array(
                        'element' => 'data',
                        'value' => 'tag'
                    )
                ),
                /*posts*/
                array(
                    'type' => 'autocomplete',
                    'heading' => esc_html__( 'Enter post name or post slug', 'minera' ),
                    'param_name' => 'data_post',
                    'settings' => array(
                        'multiple' => true,
                        'min_length' => 1,
                        'unique_values' => true,
                        'delay' => 200,
                        'values' => $product_arr
                    ),
                    'dependency' => array(
                        'element' => 'data',
                        'value' => 'post'
                    )
                ),
                /*thumbnail size*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Thumbnail size', 'minera'),
                    'description' => esc_html__('You can edit image size at: Under admin panel -> WooCommerce -> Settings -> Products -> Display -> Product images', 'minera'),
                    'param_name' => 'size',
                    'value' => array(
                        esc_html__('Shop catalog image', 'minera') => 'shop_catalog',
                        esc_html__('Single product image', 'minera') => 'single_image',
                        esc_html__('Product thumbnail', 'minera') => 'shop_thumbnail',
                        esc_html__('Full image', 'minera') => 'full',
                    ),
                    'std' => 'shop_catalog'
                ),
                /*grid style: columns*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Columns', 'minera'),
                    'param_name' => 'col',
                    'value' => array(2,3,4,5),
                    'std' => 4,
                ),
                /*count*/
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Total items', 'minera' ),
                    'description' => esc_html__('Set max limit for items in slider or enter -1 to display all (limited to 1000).', 'minera'),
                    'param_name' => 'count',
                    'dependency' => array(
                        'element' => 'data',
                        'value' => array('tag', 'cat')
                    ),
                    'value' => 12
                ),
                /*order by*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Order by', 'minera' ),
                    'description' => esc_html__('Select order type.', 'minera'),
                    'param_name' => 'orderby',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('Date', 'minera') => 'date',
                        esc_html__('Post ID', 'minera') => 'ID',
                        esc_html__('Author', 'minera') => 'author',
                        esc_html__('Title', 'minera') => 'title',
                        esc_html__('Last modified', 'minera') => 'modified',
                        esc_html__('Name', 'minera') => 'name',
                        esc_html__('Number of comments', 'minera') => 'comment_count',
                        esc_html__('Random', 'minera') => 'rand'
                    ),
                    'std' => 'date'
                ),
                /*Sort order*/
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Sort order', 'minera' ),
                    'description' => esc_html__('Select sorting order.', 'minera'),
                    'param_name' => 'order',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('Ascending', 'minera') => 'ASC',
                        esc_html__('Descending', 'minera') => 'DESC'
                    ),
                    'std' => 'ASC'
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Class', 'minera' ),
                    'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
                    'admin_label' => true,
                    'param_name' => 'class',
                ),
                array(
                    'type' => 'css_editor',
                    'heading'=> esc_html__( 'CSS', 'minera' ),
                    'param_name' => 'inline_css',
                    'group' => esc_html__( 'Design Options', 'minera' ),
                ),
            )
        ));

		/*description*/
		vc_map( array(
			'name'     => esc_html__( 'Promotion Banner', 'minera' ),
			'icon' => 'ion-information-circled',
			'base'     => 'description',
            'description' => esc_html__( 'Add a promotion banner', 'minera' ),
			'category' => esc_html__( 'Minera Theme', 'minera' ),
			'params'   => array(
				/*title*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Title', 'minera' ),
					'description' => esc_html__('Enter the title', 'minera'),
					'param_name'  => 'title',
					'admin_label' => true,
					'value' => 'Layout'
				),
                /*font size*/
                array(
                    'type' => 'textfield',
                    'heading'     => esc_html__('Title size', 'minera' ),
                    'param_name' => 'title_fontsize',
                    'value' => '',
                ),
                /*line height*/
                array(
                    'type' => 'textfield',
                    'heading'     => esc_html__('Title line height', 'minera' ),
                    'param_name' => 'title_line_height',
                    'value' => '',
                ),
                /*double text*/
                array(
                    'type'        => 'checkbox',
                    'heading'     => esc_html__('Double text effect?', 'minera' ),
                    'param_name'  => 'double_title',
                    'value' => array(
                        esc_html__('Yes', 'minera') => 'yes'
                    ),
                    'std' => 'no'
                ),
                /*custom font*/
                array(
                    'type'        => 'checkbox',
                    'heading'     => esc_html__('Use theme default font family?', 'minera' ),
                    'param_name'  => 'custom_font',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('Yes', 'minera') => 'yes'
                    ),
                    'std' => 'yes'
                ),
                /*font family*/
                array(
                    'type' => 'google_fonts',
                    'param_name' => 'fonts',
                    'value' => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
                    'settings' => array(
                        'fields' => array(
                            'font_family_description' => esc_html__( 'Select font family.', 'minera' ),
                            'font_style_description' => esc_html__( 'Select font styling.', 'minera' ),
                        ),
                    ),
                    'dependency' => array(
                        'element' => 'custom_font',
                        'value_not_equal_to' => 'yes',
                    ),
                ),
				/*desc*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Description', 'minera' ),
					'description' => esc_html__('Write some text', 'minera'),
					'param_name'  => 'desc',
					'admin_label' => true,
				),
                /*text color*/
                array(
                    'type'        => 'colorpicker',
                    'heading'     => esc_html__('Text color', 'minera' ),
                    'param_name'  => 'text_color',
                    'description' => esc_html__('Choose color', 'minera'),
                    'value' => '#3e3e3e'
                ),
                /*link*/
                array(
                    'type'        => 'vc_link',
                    'heading'     => esc_html__('Link', 'minera' ),
                    'param_name'  => 'link',
                    'edit_field_class' => 'vc_col-sm-6',
                ),
                array(
                    'type'        => 'checkbox',
                    'heading'     => esc_html__('Hide link text?', 'minera' ),
                    'param_name'  => 'hide_link_text',
                    'edit_field_class' => 'vc_col-sm-6',
                    'value' => array(
                        esc_html__('Yes', 'minera') => 'yes'
                    ),
                    'std' => 'no'
                ),
                /*image attach*/
                array(
                    'type'        => 'attach_image',
                    'heading'     => esc_html__('Images', 'minera' ),
                    'description' => esc_html__('Choose your images', 'minera'),
                    'param_name'  => 'img',
                ),
                /*height*/
                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Height', 'minera' ),
                    'param_name'  => 'height',
                    'admin_label' => true,
                    'value' => '500px'
                ),
                /*position*/
                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__('Position', 'minera' ),
                    'param_name'  => 'position',
                    'admin_label' => true,
                    'value' => array(
                        esc_html__('Left', 'minera') => 'left',
                        esc_html__('Center', 'minera') => 'center',
                        esc_html__('Right', 'minera') => 'right',
                        esc_html__('Center - Left', 'minera') => 'center-left',
                        esc_html__('Center - Top', 'minera') => 'center-top',
                        esc_html__('Center - Right', 'minera') => 'center-right',
                    ),
                    'std' => 'center'
                ),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'minera' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'minera' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'minera' ),
				),
			)
		));
        
        /*feature*/
        vc_map( array(
            'name'     => esc_html__( 'Feature', 'minera' ),
            'icon' => 'ion-wand',
            'base'     => 'feature',
            'description' => esc_html__( 'Add new feature', 'minera' ),
            'category' => esc_html__( 'Minera Theme', 'minera' ),
            'params'   => array(
                /*image attach*/
                array(
                    'type'        => 'attach_image',
                    'heading'     => esc_html__('Images', 'minera' ),
                    'description' => esc_html__('Choose your images', 'minera'),
                    'param_name'  => 'img',
                ),
                /*link*/
                array(
                    'type'        => 'vc_link',
                    'heading'     => esc_html__('Link', 'minera' ),
                    'param_name'  => 'link',
                    'admin_label' => true,
                ),
                /*title*/
                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Title', 'minera' ),
                    'description' => esc_html__('Enter the title', 'minera'),
                    'param_name'  => 'title',
                    'admin_label' => true,
                    'value' => 'Layout'
				),
                /*INCLIDE BY DEFAULT*/
                vc_map_add_css_animation(),
                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__('Class', 'minera' ),
                    'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'minera'),
                    'admin_label' => true,
                    'param_name'  => 'class',
                ),
                array(
                    'type'       => 'css_editor',
                    'heading'    => esc_html__( 'CSS', 'minera' ),
                    'param_name' => 'inline_css',
                    'group'      => esc_html__( 'Design Options', 'minera' ),
                ),
            )
        ));

    }
}