<?php
/*sidebar menu*/
$sidebar_menu_id   = get_theme_mod('hd2_sidebar_menu', 'disable');
$args_sidebar_menu = array(
    'menu'           => $sidebar_menu_id,
    'theme_location' => '__faker',
    'echo'           => 0
);
$sidebar_menu = wp_nav_menu($args_sidebar_menu);

/*standard menu*/
$menu_id       = get_theme_mod('hd2_std_menu', 'disable');
$args_std_menu = array(
    'menu'           => $menu_id,
    'theme_location' => '__faker',
    'echo'           => 0
);
$standard_menu = wp_nav_menu($args_std_menu);

/*right action*/
$only_icon       = true;
$pid             = get_queried_object_id();
$layout          = function_exists('fw_get_db_post_option') ? fw_get_db_post_option($pid, 'page_header_layout') : array();
$layout_2        = isset($layout['gadget']) ? $layout['gadget'] : 'layout-2';
$layout_2_custom = isset($layout['layout-2']['custom']['gadget']) ? $layout['layout-2']['custom']['gadget'] : 'no';
$amount          = isset($layout['layout-2']['custom']['yes']['amount']) ? $layout['layout-2']['custom']['yes']['amount'] : 'no';
if($layout_2     == 'layout-2' && $layout_2_custom == 'yes'){
    $only_icon = $amount == 'yes' ? false : true;
}

$class = $only_icon == false ? 'hd2-end' : ''; ?>

<header class="theme-header-layout header-layout-2" itemscope itemtype="http://schema.org/WPHeader">
    <?php minera_edit_location('hd2');/*header edit location*/ ?>
    <div class="header-box">
        <div class="container">
            <div class="primary-menu-box theme-menu-responsive" itemscope itemtype="http://schema.org/SiteNavigationElement">
                <span class="screen-reader-text"><?php esc_html_e( 'Primary Menu', 'minera' ); ?></span>
                <div class="sb-panel-overlay"></div>
                <?php /*get sidebar menu*/
                    minera_sidebar_menu($sidebar_menu_id, $sidebar_menu);

                    /*get standard menu*/
                    if($menu_id != 'disable'):
                        if(!empty($standard_menu)){
                            wp_nav_menu(array('menu' => $menu_id, 'menu_class' => 'theme-primary-menu', 'container' => ''));
                        }else{ ?>
                            <a class="add-menu" href="<?php echo esc_url( get_admin_url() . 'nav-menus.php' ); ?>"><?php esc_html_e( 'Add Menu', 'minera' ); ?></a>
                        <?php }
                    endif;
                    /*mobile search form*/
                    minera_search_form_mobile(); ?>
            </div>
            <?php minera_logo_image();/*logo*/ ?>
            <div class="header-action hd2-action <?php echo esc_attr($class); ?>">
            	<?php do_action( 'minera_header_action_before' ); ?>
                <button class="ht-ico-search theme-search-btn" id="ht-search-btn"></button>
                <?php minera_account(); ?>
                <?php minera_shopping_cart($only_icon);/*shopping cart*/ ?>
                <?php do_action( 'minera_header_action_after' ); ?>
            </div>
        </div>

        <?php minera_sticky_mobile_menu_over_lay(); ?>
    </div>
    <?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
</header>