<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/*HEIGHT*/
if(empty($height)) $height = '500px';

/*IMAGE*/
$img = wp_get_attachment_image_src($atts["img"], 'full');
$bg = !empty($img) ? 'background-image: url('. $img[0] .')' : '';

/*URL LINK*/
$link = ( '||' === $link ) ? '' : $link;
$link = vc_build_link( $link );
$a_title = '';
$attributes = array();

if ( strlen( $link['url'] ) > 0 ) {
    $a_href = $link['url'];
    $a_title = $link['title'];
    $a_target = $link['target'];
    $a_rel = $link['rel'];

    $attributes[] = 'href="' . trim( $a_href ) . '"';
    $attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
    if ( ! empty( $a_target ) ) $attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
    if ( ! empty( $a_rel ) ) $attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
}
$attributes = implode( ' ', $attributes );

/*TITLE*/
$title_style = array();

/*title size*/
if(!empty($title_fontsize)) $title_style[] = 'font-size: ' . $title_fontsize;

/*title line height*/
if(!empty($title_line_height)) $title_style[] = 'line-height: ' . $title_line_height;

/*google fonts | `$fonts` = para_name*/
if($custom_font != 'yes'):
    $gg_fonts_obj = new Vc_Google_Fonts();
    $gg_fonts_field_settings = isset( $atts['settings'], $atts['settings']['fields'] ) ? $atts['settings']['fields'] : array();
    $gg_fonts_data = strlen( $fonts ) > 0 ? $gg_fonts_obj->_vc_google_fonts_parse_attributes( $gg_fonts_field_settings, $fonts ) : '';

    /*subset: i don't know how it works :(*/
    $settings = get_option( 'wpb_js_google_fonts_subsets' );
    if ( is_array( $settings ) && ! empty( $settings ) ) {
        $subsets = '&subset=' . implode( ',', $settings );
    } else {
        $subsets = '';
    }
    /*generate font style*/
    if (!empty( $gg_fonts_data ) && isset( $gg_fonts_data['values'], $gg_fonts_data['values']['font_family'], $gg_fonts_data['values']['font_style'] )){
        /*enqueue google font*/
        wp_enqueue_style( 'minera_google_fonts_' . vc_build_safe_css_class( $gg_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $gg_fonts_data['values']['font_family'] . $subsets );
        /*google font data*/
        $gg_fonts_family = explode( ':', $gg_fonts_data['values']['font_family'] );
        $title_style[] = 'font-family:' . $gg_fonts_family[0];
        $gg_fonts_styles = explode( ':', $gg_fonts_data['values']['font_style'] );
        $title_style[] = 'font-weight:' . $gg_fonts_styles[1];
        $title_style[] = 'font-style:' . $gg_fonts_styles[2];
    }
endif;

/*DOUBLE TEXT EFFECT*/
$content_class = $has_custom_title = $content = '';
if($double_title == 'yes'){
    $content_class = 'desc-content-title';
    $has_custom_title = 'has-custom-title';
    $content = 'data-text="' . $title . '"';
}

/*add break point*/
$target = '[br]';
$source = '<br>';
$title = str_replace($target, $source, $title);

/*TEXT COLOR*/
$txt_color = !empty($text_color) ? 'color: ' . $text_color . ';' : 'color: #3e3e3e;';

/*VIEW STYLE FOR TITLE*/
$title_style = !empty( $title_style ) ? 'style="' . esc_attr( implode( ';', $title_style ) ) . '"' : '';

/*STYLE FOR PARENT `DIV`*/
$parent_style = 'style="height: ' . $height . '; '. $txt_color . '"'; ?>

<div class="theme-sc-desc flw desc-<?php echo esc_attr($position); ?> <?php echo esc_attr($has_custom_title); ?> <?php echo esc_attr($all_class); ?>" <?php echo wp_kses_post($parent_style); ?>>
    <div class="sc-desc-bg" style="<?php echo wp_kses_post($bg); ?>"></div>
    <h2 class="desc-title <?php echo esc_attr($content_class); ?>" <?php echo wp_kses_post($title_style); ?> <?php echo wp_kses_post($content); ?>><?php echo wp_kses_post($title); ?></h2>
    <?php if(!empty($desc)): ?>
        <span class="desc-summ"><?php echo esc_attr($desc); ?></span>
    <?php endif; ?>
    <?php if(strlen( $link['url'] ) > 0 && !empty($a_title) && $hide_link_text != 'yes'): ?>
        <?php echo '<a ' . $attributes . ' class="desc-read-more">' . $a_title . '</a>'; ?>
    <?php endif; ?>
    <?php echo '<a ' . $attributes . ' class="desc-link"></a>'; ?>
</div>