<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/* image */
$img = wp_get_attachment_image_src($atts["img"], 'full');

/* link */
$attributes = array();
$link = vc_build_link( $link );

if ( strlen( $link['url'] ) > 0 ) {
	$a_href = $link['url'];
	$a_title = $link['title'];
	$a_target = $link['target'];
    $a_rel = $link['rel'];

    $attributes[] = 'href="' . trim( $a_href ) . '"';
    if ( ! empty( $a_title ) ) {
        $attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
    }
    if ( ! empty( $a_target ) ) {
        $attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
    }
    if ( ! empty( $a_rel ) ) {
        $attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
    }
}else{
    $a_href = '#';
    $attributes[] = 'href="' . trim( $a_href ) . '"';
}

$output = implode( ' ', $attributes ); ?>


<div class="fte-sc flw">
    <a class="fte-image flw" <?php echo wp_kses_decode_entities($output); ?> style="background-image:url(<?php echo esc_url($img[0]); ?>)">
    </a>
    <h2 class="fte-title"><a <?php echo wp_kses_decode_entities($output); ?>><?php echo esc_html($title); ?></a></h2>
</div>