<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/*order*/
$order = $style == 'icon-above-title' ? $align : $direction;

/*link*/
$attributes = array();
if($title_link == 'yes'):
    $link = vc_build_link( $link );
    $a_href = '#';
    if ( strlen( $link['url'] ) > 0 ) {
        $a_href = $link['url'];
        $a_title = $link['title'];
        $a_target = $link['target'];
        $a_rel = $link['rel'];
    }

    $attributes = array();
    
    $attributes[] = 'href="' . trim( $a_href ) . '"';
    $attributes[] = ! empty( $a_title ) ? 'title="' . esc_attr( trim( $a_title ) ) . '"' : '';
    $attributes[] = ! empty( $a_target ) ? 'target="' . esc_attr( trim( $a_target ) ) . '"' : '';
    $attributes[] = ! empty( $a_rel ) ? 'rel="' . esc_attr( trim( $a_rel ) ) . '"' : '';
    /*extract attributes*/
    $attributes = implode( ' ', $attributes );
endif;

/*icon*/
$effect = $data = '';
if($icon == 'use-font-icon'):    
    $icon_data = array();
	$font_icon = ! empty( $font_icon ) ? esc_attr( trim( $font_icon ) ) : '';
    $icon_data[] = ! empty( $font_size ) ? 'font-size: ' . esc_attr( trim( $font_size ) ) . ';' : '';
    $icon_data[] = ! empty( $font_color ) ? 'color: ' . esc_attr( trim( $font_color ) ) . ';' : '';
    $icon_data = 'style="' . implode( ' ', $icon_data ) . '"';
else:
    $effect = $hover;
    $data = !empty($effect) ? 'w-item' : '';
    $img = wp_get_attachment_image_src($atts["image"], 'full');
    $img_alt = minera_img_alt($atts['image'], 'Iconbox image');
endif;


$output = array();


/*FONT SIZE=========================================================*/
if(!empty($title_zise)) $output[] = 'font-size: ' . $title_zise;

/*TEXT COLOR========================================================*/
if(!empty($title_color)) $output[] = 'color: ' . $title_color;

/*LINE HEIGHT=======================================================*/
if(!empty($title_line_height)) $output[] = 'line-height: ' . $title_line_height;
    
/*GOOGLE FONTS======================================================*/
if($custom_font != 'yes'){
    /*google fonts | `$fonts` = para_name*/
    $gg_fonts_obj = new Vc_Google_Fonts();
    $gg_fonts_field_settings = isset( $atts['settings'], $atts['settings']['fields'] ) ? $atts['settings']['fields'] : array();
    $gg_fonts_data = strlen( $fonts ) > 0 ? $gg_fonts_obj->_vc_google_fonts_parse_attributes( $gg_fonts_field_settings, $fonts ) : '';

    /*subset: i don't know how it works :(*/
    $settings = get_option( 'wpb_js_google_fonts_subsets' );
    if ( is_array( $settings ) && ! empty( $settings ) ) {
        $subsets = '&subset=' . implode( ',', $settings );
    } else {
        $subsets = '';
    }
    /*generate font style*/
    if (!empty( $gg_fonts_data ) && isset( $gg_fonts_data['values'], $gg_fonts_data['values']['font_family'], $gg_fonts_data['values']['font_style'] )){
        /*enqueue google font*/
        wp_enqueue_style( 'minera_google_fonts_' . vc_build_safe_css_class( $gg_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $gg_fonts_data['values']['font_family'] . $subsets );
        /*google font data*/
        $gg_fonts_family = explode( ':', $gg_fonts_data['values']['font_family'] );
        $output[] = 'font-family:' . $gg_fonts_family[0];
        $gg_fonts_styles = explode( ':', $gg_fonts_data['values']['font_style'] );
        $output[] = 'font-weight:' . $gg_fonts_styles[1];
        $output[] = 'font-style:' . $gg_fonts_styles[2];
    }
}else{
    if($font_weight != 400) $output[] = 'font-weight: ' . $font_weight;
}

/*out put*/
$output = !empty($output) ? 'style="'. implode( '; ', $output) .'"' : ''; ?>

<div class="theme-iconbox <?php echo esc_attr($style . ' ' . $order . ' ' . $effect); ?><?php echo esc_attr($all_class); ?>" itemscope itemtype="http://schema.org/Thing">
    <?php /*icon*/
        if($icon == 'use-font-icon'):
            echo '<span class="iconbox-icon ' . esc_attr($font_icon) . '" ' . $icon_data . '></span>';
        elseif(!empty($img)):
            echo '<div class="iconbox-icon ' . $data . '"><img itemprop="image" src="' . esc_url($img[0]) . '" alt="' . esc_attr($img_alt) . '"></div>';
        endif; ?>
    <div class="iconbox-bot">
        <?php /*title*/
            if($title_link == 'yes'):
                echo '<a class="iconbox-title" ' . $attributes . ' itemprop="name"'. wp_kses_post($output) .'>' . $ht_title . '</a>';
            else:
                echo '<span class="iconbox-title" itemprop="name"'. wp_kses_post($output) .'>' . $ht_title . '</span>';
            endif; ?>
        <p class="iconbox-content" itemprop="description"><?php echo wp_kses_post($content); ?></p>
        <?php if($title_link == 'yes'): ?>
            <a href="<?php echo esc_url($a_href); ?>" class="ion-ios-arrow-thin-right iconbox-last-ico"></a>
        <?php endif; ?>
    </div>
</div>