<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$categories = get_terms( 'category' );

$posts = $cats = $tags = '';
$post_ids = $arr = array();

/*post data*/
if($data == 'post'){/*get posts by slug*/
    $posts_explode = explode(', ', $data_post);
    foreach($posts_explode as $key){
        if( $post = get_page_by_path( $key, OBJECT, 'post' ) ){
            $arr[] = array('id' => $post->ID);
        }
    }
    foreach($arr as $val){
        $post_ids[] = $val['id'];
    }
}elseif($data == 'cat'){/*get posts by categories*/
    $cats = $data_cat;
}else{/*get posts by tags*/
    $tags = $data_tag;
}

if($data == 'post' && empty($data_post)){
    $post_ids = false;
}

$id = uniqid( 'news-id-' );

?>

<div id="<?php echo esc_attr( $id ); ?>" class="theme-news-carousel news-carousel-<?php echo esc_attr($style . ' ' . $all_class); ?>">
    
<?php $args = array(
        'post_type' => 'post',
        'post_status' => 'publish',
        'ignore_sticky_posts' => 1,
        'category_name' => $cats,
        'tag' => $tags,
        'orderby' => $orderby,
        'order' => $order,
        'posts_per_page' => -1,
        'post__in' => $post_ids
    );
    $query = new WP_Query($args);

    if( $query->have_posts() ):
        while($query->have_posts()): $query->the_post();
        global $post; ?>
        <article class="blog-article" itemscope itemtype="https://schema.org/Blog">
            <div id="post-<?php the_ID(); ?>" <?php post_class(); ?> itemscope itemtype="http://schema.org/BlogPosting">
                <div class="flw" itemprop="mainEntityOfPage">
                    <?php minera_structured_data();/*support structured data - SEO optimize*/ ?>
                    <?php /*blog thumbnail*/
                        $img_id  = get_post_thumbnail_id($post->ID);
                        $thumbnail_initial = get_the_post_thumbnail_url($post->ID);
                        
                        if(function_exists('FW')){
                            if($style == 'one'){
                                $thumbnail = fw_resize($img_id, 370, 208, true);
                            }else{
                                $thumbnail = fw_resize($img_id, 570, 282, true);
                            }
                        }else{
                            $thumbnail = $thumbnail_initial;
                        }
                        $img_alt = minera_img_alt($img_id, 'Blog thumbnail');
                    ?>
                    <?php if(!empty($img_id)): ?>
                        <a href="<?php the_permalink() ?>" class="blog-news-thumbnail">
                            <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php echo esc_attr($img_alt); ?>">
                        </a>
                    <?php endif; ?>
                    <?php /*post content*/ ?>
                    <div class="post-content">
                        <div class="cats"><?php echo minera_blog_categories(); ?></div>
                        <a class="blog-news-tit" href="<?php the_permalink() ?>"><?php the_title(); ?></a>
                        <div class="news-crs-info">
                            <?php
                                $j_date = $m_month = $y_year = '';
                                if( 'one' != $style ){
                                    $j_date = get_the_date('m');
                                    $m_month = get_the_date('F');
                                    $y_year = get_the_date('Y');
                                }
                            ?>
                            <span><?php esc_html_e('By ', 'minera'); ?></span>
                            <span><?php the_author_posts_link(); ?></span>
                            <span><?php esc_html_e(' on ', 'minera'); ?></span>
                            <span>
                                <?php
                                    if( 'one' == $style ){
                                        echo minera_post_date();
                                    }
                                ?>
                            </span>
                            <span class="jr-time jr-m"><?php echo esc_html($m_month); ?></span>
                            <span class="jr-time jr-d"><?php echo esc_html($j_date); ?></span>
                            <span class="jr-time jr-y"><?php echo esc_html($y_year); ?></span>
                        </div>
                        <p class="blog-post-sumary" itemprop="description"><?php echo wp_trim_words(get_the_excerpt(), 20, '...'); ?></p>
                        <a href="<?php the_permalink(); ?>" class="read-more" data-readmore="<?php esc_attr_e( 'Continue reading', 'minera' ); ?>"><?php esc_html_e('Read More', 'minera'); ?><span class="screen-reader-text"><?php esc_html_e('about an interesting article to read', 'minera'); ?></span></a>
                    </div>
                </div>
            </div>
        </article>
    <?php endwhile;
        endif;
        wp_reset_postdata(); ?>
</div>

<?php

$num = 2;
if( 'one' == $style ){
    $num = 3;
}

wp_add_inline_script(
    'minera-theme-script',
    "$(window).on('load', function(){
        $('#{$id}.news-carousel-{$style}').slick({
            slidesToShow: {$num},
            slidesToScroll: 1,
            infinite: false,
            arrows: true,
            dots: false,
            margin: 30,
            fade: false,
            responsive: [
                {
                    breakpoint: 992,
                    settings: {
                        slidesToShow: 2
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        slidesToShow: 1
                    }
                }
            ]
        });
    });",
    'after'
);