<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/*convert data to array()*/
$data_cat = explode(', ', $data_cat);
$data_tag = explode(', ', $data_tag);
$data_post = explode(', ', $data_post);

if ( get_query_var('paged') ) {
    $paged = get_query_var('paged');
}elseif ( get_query_var('page') ){
    $paged = get_query_var('page');
}else {
    $paged = 1;
}

$args = array(
    'post_type' => 'product',
    'post_status' => 'publish',
    'ignore_sticky_posts' => 1,
    'orderby' => $orderby,
    'order' => $order,
    'paged' => $paged
);

if(empty($count) || $count == '-1') $count = 1000;

/*query post by categories*/
if($data == 'cat' && !empty($data_cat[0])){
    $args['tax_query'] = array(
        array(
            'taxonomy' => 'product_cat',
            'field' => 'slug',
            'terms' => $data_cat
        )
    );
    $args['posts_per_page'] = $count;
}elseif($data == 'tag' && !empty($data_tag[0])){
    /*query post by tags*/
    $args['tax_query'] = array(
        array(
            'taxonomy' => 'product_tag',
            'field' => 'slug',
            'terms' => $data_tag
        )
    );
    $args['posts_per_page'] = $count;
}elseif($data == 'post' && !empty($data_post[0])){
    /*query post by slugs*/
    $args['post_name__in'] = $data_post;
}elseif(empty($data_cat[0]) && empty($data_tag[0]) && empty($data_post[0])){
    $args['posts_per_page'] = $count;
}

$_query = new WP_Query($args);

$col_class = '';
if($style == 'grid'){
    $col_class = 'product-grid-' . $grid_col;
}else{
    $col_class = 'product-list-' . $list_col;
}

$view_style = $style;

$text_align = $style == 'grid' ? $align : '';

if($_query->have_posts()): ?>
    <div class="theme-product-block theme-product-shortcode <?php echo esc_attr($col_class); ?> shop-view-<?php echo esc_attr($style); ?>">
        <?php if($filter == 'yes'): ?>
            <div class="woo-top-page flw">
                <p class="woocommerce-result-count"><?php
                    $paged    = max( 1, $_query->get( 'paged' ) );
                    $per_page = $_query->get( 'posts_per_page' );
                    $total    = $_query->found_posts;
                    $first    = ( $per_page * $paged ) - $per_page + 1;
                    $last     = min( $total, $_query->get( 'posts_per_page' ) * $paged );

                    if ( $total <= $per_page || -1 === $per_page ) {
                        /* translators: %d: total results */
                        printf( _n( 'Showing the single result', 'Showing all %d results', $total, 'minera' ), $total );
                    } else {
                        /* translators: 1: first result 2: last result 3: total results */
                        printf( _nx( 'Showing the single result', 'Showing %1$d&ndash;%2$d of %3$d results', $total, 'with first and last result', 'minera' ), $first, $last, $total );
                    }
                ?></p>
                <?php minera_shop_switcher($view_style); ?>
            </div>
        <?php endif; ?>
        <ul class="products <?php echo esc_attr($text_align); ?>">
            <?php while ( $_query->have_posts() ) :
                $_query->the_post();
                /*CONTENT-PRODUCT.PHP*/
                    global $product;
                    /*Ensure visibility*/
                    if ( empty( $product ) || ! $product->is_visible() ) return;

                    /*product id*/
                    $pid = $product->get_id();

                    /*price*/
                    $p_price = $product->get_price_html();

                    /*description*/
                    $p_desc = get_the_excerpt($pid);
                    
                    /*add to cart url*/
                    $atc_url = $product->add_to_cart_url();

                    /*variation product*/
                    $variation = $product->is_type( 'variable' );
                    ?>


                    <li <?php post_class('p-col'); ?>>
                        <div class="p-head">
                            <?php do_action( 'woocommerce_before_shop_loop_item_title' ); ?>
                        </div>
                        <div class="p-content">
                            <a class="p-title" href="<?php echo get_permalink($pid); ?>" aria-label="<?php esc_attr_e('Product title', 'minera'); ?>"><?php echo get_the_title($pid); ?></a>
                            <div class="price" aria-label="<?php esc_attr_e('Product price', 'minera'); ?>"><?php echo wp_kses_post($p_price); ?></div>

                            <?php if( 'list' == $style ){ ?>
                                <div class="p-attr">
                                    <?php minera_swatches_list( $size );/*swatches color*/ ?>
                                </div>
                            <?php } ?>

                            <div class="p-desc" aria-label="<?php esc_attr_e('Product description', 'minera'); ?>"><?php echo wp_kses_post($p_desc); ?></div>
                            <div class="atc-shop-list">
                                <?php if($variation):/*add to cart button*/ ?>
                                    <a href="<?php echo get_permalink($pid); ?>" class="atc-select-option-btn" aria-label="<?php esc_attr_e('Select options', 'minera'); ?>"><?php esc_html_e('Select options', 'minera'); ?></a>
                                <?php else: ?>
                                    <a href="<?php echo esc_url($atc_url); ?>" data-quantity="1" data-product_id="<?php echo esc_attr($pid); ?>" class="add_to_cart_button <?php echo minera_ajax_act_opt(); ?>" aria-label="<?php esc_attr_e('Add to cart', 'minera'); ?>"><?php esc_html_e('Add to cart', 'minera'); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>

                        <?php if( 'grid' == $style ){ ?>
                            <div class="p-attr">
                                <?php minera_swatches_list( $size );/*swatches color*/ ?>
                            </div>
                        <?php } ?>
                    </li>
                <?php /*END CONTENT-PRODUCT.PHP*/ ?>
            <?php endwhile; ?>
        </ul>
    </div>
<?php endif;

wp_reset_postdata();