<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );
$img = wp_get_attachment_image_src($atts["feature_img"], 'full');
$bg = !empty($img) ? 'style="background-image: url(' . $img[0] . ')"' : '';


$wrap_id = uniqid('wrap-id-');

$pro_id = uniqid('pro-sale-id-');

if( ! class_exists( 'Woocommerce' ) && empty( $product_slug ) ) return;

/*enqueue plugin time countdown*/
if( 'style-3' != $feature_style ){
    wp_enqueue_script(
        'minera-pro-countdown',
        get_template_directory_uri() . '/js/countdown.js',
        array( 'jquery' ),
        null,
        true
    );
}

?>

<div id="<?php echo esc_attr( $wrap_id ); ?>" class="sc-pro-feature <?php echo esc_attr( $feature_style ); ?> <?php echo esc_attr( $all_class ); ?>" <?php echo wp_kses_post( $bg ); ?>>
    <?php
        $pid = $product = null;
        
        if( $post = get_page_by_path( $product_slug, OBJECT, 'product' ) ){
            /*product id*/
            $pid = $post->ID;
            /*get product*/
            $product = wc_get_product( $pid );

            if ( ! $product ) {
                return;
            }

            /*rating*/
            $rating_count = $product->get_rating_count();
            $average = $product->get_average_rating();
            $rating = wc_get_rating_html( $average, $rating_count );
            /*date sale*/
            $date = get_post_meta( $pid, '_sale_price_dates_to', true );

            /*variable product*/
            if( $product->is_type( 'variable' ) ){
                $swatch_html = $price_html = $time_html = '';
                $vproduct = $product->get_available_variations();

                $first = -1;
                foreach( $vproduct as $kk => $key ){
                    $pro_id = uniqid('pro-sale-id-');
                    $vid = $key['variation_id'];
                    $date = get_post_meta( $vid, '_sale_price_dates_to', true );

                    if( empty( $date ) ){
                        $first = false;
                        continue;
                    }else{
                        $first++;
                    }

                    $sale_price = $key['display_price'];
                    $regular_price = $key['display_regular_price'];
                    $img_src = $key['image']['thumb_src'];
                    $img_alt = $key['image']['alt'];
                    $symbol = get_woocommerce_currency_symbol();

                    $date_sale = date_i18n( 'Y/m/d', $date );

                    /*price*/
                    if( 0 == $first ){
                        $price_html .= '<span data-id="'. esc_attr( $pro_id ) .'" class="sale-price current">';
                    }else{
                        $price_html .= '<span data-id="'. esc_attr( $pro_id ) .'" class="sale-price">';
                    }
                            $price_html .= '<del>';
                                $price_html .= '<span class="woocommerce-Price-amount amount">';
                                    $price_html .= '<span class="woocommerce-Price-currencySymbol">'. $symbol .'</span>' . $regular_price;
                                $price_html .= '</span>';
                            $price_html .= '</del>';
                            $price_html .= '<ins>';
                                $price_html .= '<span class="woocommerce-Price-amount amount">';
                                    $price_html .= '<span class="woocommerce-Price-currencySymbol">'. $symbol .'</span>' . $sale_price;
                                $price_html .= '</span>';
                            $price_html .= '</ins>';
                        $price_html .= '</span>';

                    /*swatch image*/
                    if( 0 == $first ){
                        $swatch_html .= '<span class="sale-swatch current" data-id="'. esc_attr( $pro_id ) .'">';
                    }else{
                        $swatch_html .= '<span class="sale-swatch" data-id="'. esc_attr( $pro_id ) .'">';
                    }
                    $swatch_html .= '<img src="'. esc_url( $img_src ) .'" alt="'. esc_attr( $img_alt ) .'">';
                    $swatch_html .= '</span>';

                    /*time*/
                    if( 0 == $first ){
                        $time_html .= '<div class="sale-count-time current" id="'. esc_attr( $pro_id ) .'">';
                    }else{
                        $time_html .= '<div class="sale-count-time" id="'. esc_attr( $pro_id ) .'">';
                    }
                        $time_html .= '<div class="sale-time">';
                            $time_html .= '<strong class="days">00</strong>';
                        $time_html .= '</div>';
                        $time_html .= '<div class="sale-time">';
                            $time_html .= '<strong class="hours">00</strong>';
                        $time_html .= '</div>';
                        $time_html .= '<div class="sale-time">';
                            $time_html .= '<strong class="minutes">00</strong>';
                        $time_html .= '</div>';
                        $time_html .= '<div class="sale-time">';
                            $time_html .= '<strong class="seconds">00</strong>';
                        $time_html .= '</div>';
                    $time_html .= '</div>';


                    wp_add_inline_script(
                        'minera-pro-countdown',
                        "jQuery(document).ready(function(){
                            jQuery('#{$pro_id}').countdown({
                                date: '{$date_sale} 23:59:59',
                            }, function () {
                                alert( 'Done!' );
                            });
                        });",
                        'after'
                    );
                }
            }

            if( empty( $date ) ) return;

            if( ! $product->is_type( 'variable' ) ){
                $date_sale = date_i18n( 'Y/m/d', $date );
            }
            
            /*product price*/
            $price = $product->get_price_html();
        }
    ?>

    <h2 class="sale-name">
        <a href="<?php echo get_permalink( $pid ); ?>"><?php echo get_the_title( $pid ); ?></a>
    </h2>
    <?php
        /*rating*/
        if( ! empty( $rating ) ):
            echo wp_kses_post( $rating );
        endif;

        if ( ! $product ) {
            return;
        }

        /*price*/
        if( 'style-3' != $feature_style ){
            if( $product->is_type( 'variable' ) ){
                echo '<div class="salebox-price">' .  $price_html . '</div>';
            }
        }else{
            echo '<div class="sale-price">' .  $price . '</div>';
        }

        /*swatch image*/
        if( $product->is_type( 'variable' ) && 'style-3' != $feature_style ){
            $vproduct = $product->get_available_variations();
            echo '<span class="salebox-swatch">';
            echo ($swatch_html);
            echo '</span>';
        }
    ?>
    
    <?php
        /*not showing countdown on style-3*/
        if( 'style-3' != $feature_style):
            if( $product->is_type( 'variable' ) ){
                echo '<div class="salebox-time">' . $time_html . '</div>';
            }else{
        ?>
            <div class="sale-count-time" id="<?php echo esc_attr( $pro_id ); ?>">
                <div class="sale-time">
                    <strong class="days">00</strong>
                </div>
                <div class="sale-time">
                    <strong class="hours">00</strong>
                </div>
                <div class="sale-time">
                    <strong class="minutes">00</strong>
                </div>
                <div class="sale-time">
                    <strong class="seconds">00</strong>
                </div>
            </div>
        <?php
            }
        endif;
    ?>

    <h5 class="sale-buy-now">
        <a href="<?php echo get_permalink( $pid ); ?>"><?php esc_html_e( 'Buy now', 'minera' ); ?></a>
    </h5>
</div>

<?php
/*not showing countdown on style-3*/

if( 'style-3' != $feature_style ):
    if( $product->is_type( 'variable' ) ){
        wp_add_inline_script(
            'minera-pro-countdown',
            "jQuery( '#{$wrap_id} .salebox-swatch .sale-swatch' ).on( 'click', function(){
                var t = jQuery( this ),
                    tab_id = t.data( 'id' );

                jQuery( '#{$wrap_id} .salebox-swatch .sale-swatch' ).removeClass( 'current' );
                t.addClass('current');

                jQuery( '#{$wrap_id} .salebox-time .sale-count-time' ).removeClass( 'current' );
                jQuery( '#{$wrap_id} #' + tab_id ).addClass( 'current' );
                
                jQuery( '#{$wrap_id} .sale-price' ).removeClass( 'current' );
                jQuery( '#{$wrap_id} .sale-price[data-id='+ tab_id + ']' ).addClass( 'current' );
            })",
            'after'
        );
    }else{
        wp_add_inline_script(
            'minera-pro-countdown',
            "jQuery(document).ready(function(){
                jQuery('#{$pro_id}').countdown({
                    date: '{$date_sale} 23:59:59',
                }, function () {
                    alert( 'Done!' );
                });
            });",
            'after'
        );
    }
endif;