<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/*convert data to array()*/
$data_cat = explode(', ', $data_cat);
$data_tag = explode(', ', $data_tag);
$data_post = explode(', ', $data_post);


$args = array(
    'post_type' => 'product',
    'post_status' => 'publish',
    'ignore_sticky_posts' => 1,
    'orderby' => $orderby,
    'order' => $order,
);

$count = (int) $count;

if(empty($count) || $count == '-1') $count = 1000;

/*query post by categories*/
if($data == 'cat' && !empty($data_cat[0])){
    $args['tax_query'] = array(
        array(
            'taxonomy' => 'product_cat',
            'field' => 'slug',
            'terms' => $data_cat
        )
    );
    $args['posts_per_page'] = $count;
}elseif($data == 'tag' && !empty($data_tag[0])){
    /*query post by tags*/
    $args['tax_query'] = array(
        array(
            'taxonomy' => 'product_tag',
            'field' => 'slug',
            'terms' => $data_tag
        )
    );
    $args['posts_per_page'] = $count;
}elseif($data == 'post' && !empty($data_post[0])){
    /*query post by slugs*/
    $args['post_name__in'] = $data_post;
}elseif(empty($data_cat[0]) && empty($data_tag[0]) && empty($data_post[0])){
    $args['posts_per_page'] = $count;
}

$_query = new WP_Query($args);

$id = uniqid('pro-slider-');

wp_add_inline_script(
    'minera-theme-slick',
    "$(window).on('load', function(){
        $('#{$id}').slick({
            slidesToShow: {$col},
            slidesToScroll: 1,
            infinite: false,
            arrows: true,
            dots: true,
            fade: false,
            responsive: [
                {
                    breakpoint: 991,
                    settings: {
                        slidesToShow: 2,
                        arrows: false
                    }
                },
                {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 1
                    }
                }
            ]
        });
    });",
    'after'
);

if($_query->have_posts()): ?>

<div class="sc-product-slider <?php echo esc_attr($all_class); ?>">
    <ul id="<?php echo esc_attr($id); ?>" class="products theme-product-slider product-slider-col-<?php echo esc_attr($col); ?>">
        <?php while ( $_query->have_posts() ) :
            $_query->the_post();
            /*CONTENT-PRODUCT.PHP*/
                global $product, $woocommerce;
                /*Ensure visibility*/
                if ( empty( $product ) || ! $product->is_visible() ) return;

                /*product id*/
                $pid = $product->get_id();

                /*price*/
                $p_price = $product->get_price_html();

                /*description*/
                $p_desc = get_the_excerpt($pid);

                /*image*/
                $img_id  = get_post_thumbnail_id($pid);
                $img_src = wp_get_attachment_image_src($img_id, $size);
                $origin_src = $img_src;
                $img_alt = minera_img_alt($img_id, esc_html__( 'Product image', 'minera' ));
                /*add to cart url*/
                $atc_url = $product->add_to_cart_url();
                

                /*variation product*/
                $variation = $product->is_type( 'variable' );
                if($variation){
                    /*show swatch image default if it select*/
                    $vars = $product->get_available_variations();
                    $default_attr = method_exists( $product, 'get_default_attributes' ) ? $product->get_default_attributes() : array();

                    /**/
                    $attributes = $product->get_attributes();
                    
                    if( empty( $attributes ) ) continue;

                    foreach($attributes as $key){
                        $attr_type = $key['name'];/*swatches type*/
                        foreach($vars as $key){
                            $slug = isset($key['attributes']['attribute_' . $attr_type]) ? $key['attributes']['attribute_' . $attr_type] : '';
                            if(isset($default_attr[$attr_type]) && $default_attr[$attr_type] === $slug){
                                $img_src = wp_get_attachment_image_src($key['image_id'], 'shop_catalog');
                                break;
                            }
                        }
                    }
                }
                ?>


                <li <?php post_class('p-col'); ?>>
                    <div class="p-head">
                        <?php do_action( 'woocommerce_before_shop_loop_item_title' ); ?>
                    </div>
                    <div class="p-content">
                        <a class="p-title" href="<?php echo get_permalink($pid); ?>" aria-label="<?php esc_attr_e('Product title', 'minera'); ?>"><?php echo get_the_title($pid); ?></a>
                        <div class="price" aria-label="<?php esc_attr_e('Product price', 'minera'); ?>"><?php echo wp_kses_post($p_price); ?></div>

                        <div class="p-desc" aria-label="<?php esc_attr_e('Product description', 'minera'); ?>"><?php echo wp_kses_post($p_desc); ?></div>
                        <div class="atc-shop-list">
                            <?php if($variation):/*add to cart button*/ ?>
                                <a href="<?php echo get_permalink($pid); ?>" class="atc-select-option-btn" aria-label="<?php esc_attr_e('Select options', 'minera'); ?>"><?php esc_html_e('Select options', 'minera'); ?></a>
                            <?php else: ?>
                                <a href="<?php echo esc_url($atc_url); ?>" data-quantity="1" data-product_id="<?php echo esc_attr($pid); ?>" class="add_to_cart_button <?php echo minera_ajax_act_opt(); ?>" aria-label="<?php esc_attr_e('Add to cart', 'minera'); ?>"><?php esc_html_e('Add to cart', 'minera'); ?></a>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="p-attr">
                        <?php minera_swatches_list();/*swatches color*/ ?>
                    </div>
                </li>
            <?php /*END CONTENT-PRODUCT.PHP*/ ?>
        <?php endwhile; ?>
    </ul>
</div>

<?php



endif;

wp_reset_postdata();