<?php
/**
 * Add to wishlist template
 *
 * @author Your Inspiration Themes
 * @package YITH WooCommerce Wishlist
 * @version 2.0.0
 */

if ( ! defined( 'YITH_WCWL' ) ) exit;
global $product;
$action = ($exists && ! $available_multi_wishlist) ? 'p-wl-added': '';
?>

<span class="p-box-wl add-to-wishlist-<?php echo esc_attr($product_id); ?>">
<?php if( ! ( $disable_wishlist && ! is_user_logged_in() ) ): ?>
    <a href="<?php echo esc_url( add_query_arg( 'add_to_wishlist', $product_id ) ); ?>" rel="nofollow" data-product-id="<?php echo esc_attr($product_id); ?>" data-product-type="<?php echo esc_attr($product_type); ?>" class="<?php echo esc_attr($link_classes . ' ' . $action); ?> p-wl-btn" >
        <span class="p-tooltip"><?php esc_html_e('Add to Wishlist', 'minera'); ?></span>
    </a>
    <a href="<?php echo esc_url( $wishlist_url )?>" rel="nofollow" class="p-wl-url <?php echo esc_attr($action); ?>">
        <span class="p-tooltip"><?php esc_html_e('Go to Wishlist', 'minera'); ?></span>
    </a>
<?php else: ?>
    <a href="<?php echo esc_url( add_query_arg( array( 'wishlist_notice' => 'true', 'add_to_wishlist' => $product_id ), get_permalink( wc_get_page_id( 'myaccount' )))); ?>" rel="nofollow" class="p-wl-btn p-wl-url-not-logged">
        <span class="p-tooltip"><?php esc_html_e('Add to Wishlist', 'minera'); ?></span>
    </a>
<?php endif; ?>

</span>