<?php
/**
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( post_password_required() ) {
	echo get_the_password_form(); // WPCS: XSS ok.
	return;
}

// Sidebar position.
$position = minera_get_sidebar_position();

/*disable single ajax add to cart*/
$ajax_opt        = '';
$ajax_single_atc = get_theme_mod( 'c_single_atc', true );

if ( false == $ajax_single_atc || true == minera_wc_addons() ) {
	$ajax_opt = 'not-ajax-atc';
}

?>
<div id="product-<?php the_ID(); ?>" <?php wc_product_class( $ajax_opt ); ?>>
	<div class="w-data-view flw">
		<?php echo 'full' == $position ? '<div class="container">' : ''; ?>
		<?php do_action( 'woocommerce_before_single_product' );/*woocommerce notice*/ ?>
		<?php do_action( 'woocommerce_before_single_product_summary' ); ?>
		
		
		<div class="w-summary-box summary entry-summary">
			<div class="summary-box-inner">
				<?php do_action( 'woocommerce_single_product_summary' ); ?>
			</div>
		</div>
		<?php echo 'full' == $position ? '</div>' : ''; ?>
	</div>
	<?php do_action( 'woocommerce_after_single_product_summary' ); ?>

</div>

<?php
do_action( 'woocommerce_after_single_product' );
