<?php
/**
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Sidebar postion.
$position = minera_get_sidebar_position();

/*gallery layout list*/
$c_shop_layout      = get_theme_mod( 'c_shop_layout', 'horizontal' );
$type               = $c_shop_layout;

$p_shop_layout      = function_exists( 'fw_get_db_post_option' ) ? fw_get_db_post_option( $post->ID, 'p_shop_layout' ) : 'default';
if ( isset( $p_shop_layout ) && 'default' != $p_shop_layout ) {
	$type = $p_shop_layout;
}

$align = 'list' != $type ? 'has-product-slider gallery-' . $type : '';

get_header(); ?>
	<main id="main" class="flw product-layout-<?php echo 'list' != $type ? 'slider' : 'list'; ?> <?php echo esc_attr( $align ); ?>">
		<?php
		switch ( $position ) {
			// Sidebar left.
			case 'left':
				?>
				<div class="container">
					<div class="row">
						<div class="col-md-3 col-lg-3">
							<?php get_sidebar( 'shop' ); ?>
						</div>

						<div class="col-md-9 col-lg-9">
							<?php
							while ( have_posts() ) :
								the_post();
								wc_get_template_part( 'content', 'single-product' );
							endwhile;
							?>
						</div>
					</div>
				</div>
				<?php break; ?>
			<?php
			// Sidebar right.
			case 'right':
				?>
				<div class="container">
					<div class="row">
						<div class="col-md-9 col-lg-9">
							<?php
							while ( have_posts() ) :
								the_post();
								wc_get_template_part( 'content', 'single-product' );
							endwhile;
							?>
						</div>

						<div class="col-md-3 col-lg-3">
							<?php get_sidebar( 'shop' ); ?>
						</div>
					</div>
				</div>
				<?php break; ?>
			<?php
				// Not sidebar.
			case 'full':
			default:
				while ( have_posts() ) :
					the_post();
					wc_get_template_part( 'content', 'single-product' );
				endwhile;
				break;
		}
		?>
	</main>
<?php
get_footer();
