<?php
/**
 * Single Product Meta
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit;

global $product;


$url = get_permalink($product->get_id());
$title = get_the_title($product->get_id());
$tags = get_the_terms( $product->get_id(), 'product_tag' );
$tags_list = '';
if ( $tags && ! is_wp_error( $tags ) ) {
    foreach ($tags as $key) {
        if($key === end($tags)){
            $tags_list .= $key->name;
        }else{
            $tags_list .= $key->name . ',';
        }
    }
}
$img = wp_get_attachment_image_src($product->get_id(), 'full');
?>

<div class="product_meta">

	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

		<span class="sku_wrapper"><strong><?php esc_html_e( 'SKU:', 'minera' ); ?></strong> <span class="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : esc_html__( 'N/A', 'minera' ); ?></span></span>

	<?php endif; ?>

	<?php echo wc_get_product_category_list( $product->get_id(), ', ', '<span class="posted_in"><strong>' . _n( 'Category:', 'Categories:', count( $product->get_category_ids() ), 'minera' ) . '</strong> ', '</span>' ); ?>

	<?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<span class="tagged_as"><strong>' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), 'minera' ) . '</strong> ', '</span>' ); ?>
    <span class="theme-social-icon p-shared"><strong><?php esc_html_e('Share:', 'minera'); ?></strong>
        <a href="<?php echo esc_url_raw('//facebook.com/sharer.php?u=' . urlencode($url)); ?>" title="<?php echo esc_attr($title); ?>" target="_blank"></a>
        <a href="<?php echo esc_url_raw('//twitter.com/intent/tweet?url=' . urlencode($url) . '&text=' . urlencode($title) . '&hashtags=' . urlencode($tags_list)); ?>" title="<?php echo esc_attr($title); ?>" target="_blank"></a>
        <a href="<?php echo esc_url_raw('//linkedin.com/shareArticle?mini=true&url=' . urlencode($url) . '&title=' . urlencode($title)); ?>" title="<?php echo esc_attr($title); ?>" target="_blank"></a>
        <?php if ( ! empty( $img ) ) { ?>
        <a href="<?php echo esc_url_raw('//pinterest.com/pin/create/button/?url=' . urlencode($url) . '&image_url=' . urlencode($img[0]) . '&description=' . urlencode($title)); ?>" title="<?php echo esc_attr($title); ?>" target="_blank"></a>
    	<?php } ?>
        <a href="<?php echo esc_url_raw('//plus.google.com/share?url=' . urlencode($url) . '&text=' . urlencode($title)); ?>" title="<?php echo esc_attr($title); ?>" target="_blank"></a>
    </span>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>

</div>
