<?php
/**
 * Review Comments Template
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; ?>

<div id="comment-<?php comment_ID(); ?>" class="comment-item comment-review" itemscope itemtype="http://schema.org/Comment">
	<div class="comment-avatar">
		<?php echo get_avatar($comment, $size = '70'); ?>
	</div>
	<div class="comment-content">
		<strong class="comment-author" itemprop="creator">
			<a href="#comment-<?php comment_ID(); ?>" itemprop="discussionUrl" class="comment-author-name"><?php echo get_comment_author(); ?></a> <div class="comment-time" itemprop="datePublished" content="<?php echo get_the_time('c'); ?>"><?php
			echo comment_date('M jS, Y'); ?></div>
		</strong>
		<?php do_action( 'woocommerce_review_before_comment_meta', $comment ); ?>
		<div class="comment-text" itemprop="about">
			<?php if ($comment->comment_approved == '0') : ?>
				<em><?php esc_html_e('Your comment is awaiting moderation.', 'minera') ?></em>
			<?php endif; ?>
			<?php comment_text(); ?>
		</div>
	</div>
</div>
